(function( $ ) {
	var api = wp.customize;

	api( 'asw_menu_font_size', function( value ) {
	    value.bind( function( to ) {
	        $( '.menu-lightbox .menu li a, #navigation .menu li a' ).css('font-size', to);
	    });
	});
	api( 'asw_menu_font_family', function( value ) {
	    value.bind( function( to ) {
	    	var tmp = to.replace(/\s/g, '+');
	    	if( !$('link#google-font-5').length ){
	    		$('head').append('<link rel="stylesheet" id="google-font-5" href="#" type="text/css" media="all">');
	    	}
	    	if(to != 'Arial' && to != 'Verdana' && to != 'Trebuchet' && to != 'Georgia, sans-serif' && to != 'Times New Roman, sans-serif' && to != 'Tahoma' && to != 'Palatino' && to != 'Helvetica, sans-serif'){
	    		$('link#google-font-5').attr({href:"https://fonts.googleapis.com/css?family="+tmp+":100,100italic,200,200italic,300,300italic,400,400italic,600,600italic,700,700italic,800,800italic&amp;subset=latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese"})
	    	}
	    	$( '.menu-lightbox .menu li a, #navigation .menu li a' ).css('font-family', to);
	    });
	});
	api( 'asw_menu_font_weight', function( value ) {
	    value.bind( function( to ) {
	        $( '.menu-lightbox .menu li a, #navigation .menu li a' ).css('font-weight', to);
	    });
	});
	api( 'asw_widgets_headings_font_weight', function( value ) {
	    value.bind( function( to ) {
	        $( '.widget-title' ).css('font-weight', to);
	    });
	});
	api( 'asw_menu_item_color', function( value ) {
	    value.bind( function( to ) {
	        $( '.menu-lightbox .menu li a, #navigation .menu li a' ).css('color', to);
	    });
	});
	api( 'asw_menu_item_color_active', function( value ) {
	    value.bind( function( to ) {
	        $( '.menu-lightbox .menu li a, #navigation .menu li a' ).hover(function(){$(this).css('color', to)}, function(){$(this).css('color', '')});
	        $( '.menu-lightbox .menu li.current-menu-item > a, .menu-lightbox .menu li.current-menu-ancestor > a, #navigation .menu li.current-menu-item > a, #navigation .menu li.current-menu-ancestor > a ').css('color', to);
	    });
	});
	api( 'asw_header_grid', function( value ) {
	    value.bind( function( to ) {
	        if ( 'fullwidth' === to ) {
	            $( '#header .container, #header .fullwidth' ).addClass('fullwidth').removeClass('container');
	        } else {
	            $( '#header .container, #header .fullwidth' ).addClass('container').removeClass('fullwidth');
	        }
	    });
	});
    api( 'asw_header_bg_color', function( value ) {
        value.bind( function( to ) {
            $( '#header' ).css( 'background-color', to );
        } );
    });
    api( 'asw_footer_bg_color', function( value ) {
        value.bind( function( to ) {
            $( '#footer' ).css( 'background-color', to );
        } );
    });
    api( 'asw_header_image', function( value ) {
	    value.bind( function( to ) {
	        $( '#header' ).css('background-image','url('+ to +')');
	    });
	    value.bind( function( to ) {
	        0 === $.trim( to ).length ?
	            $( '#header' ).css('background-image','url()') :
	            $( '#header' ).css('background-image','url('+ to +')');
	    });
	});
	api( 'asw_body_bg_image', function( value ) {
	    value.bind( function( to ) {
	        $( 'body.error404' ).css('background-image','url('+ to +')');
	    });
	    value.bind( function( to ) {
	        0 === $.trim( to ).length ?
	            $( 'body.error404' ).css('background-image','url()') :
	            $( 'body.error404' ).css('background-image','url('+ to +')');
	    });
	});
	api( 'asw_header_bg_size', function( value ) {
	    value.bind( function( to ) {
	 		var bSize = 'auto';
	        switch( to.toString().toLowerCase() ) {
	
	            case 'cover':
	                bSize = 'cover';
	                break;
	 
	            case 'contain':
	                bSize = 'contain';
	                break;
	 
	            default:
	                bSize = 'auto';
	                break;
	 
	        }
	        $( '#header' ).css({
	            backgroundSize: bSize
	        });
	    });
	});
	api( 'asw_body_bg_size', function( value ) {
	    value.bind( function( to ) {
	 		var bSize = 'auto';
	        switch( to.toString().toLowerCase() ) {
	
	            case 'cover':
	                bSize = 'cover';
	                break;
	 
	            case 'contain':
	                bSize = 'contain';
	                break;
	 
	            default:
	                bSize = 'auto';
	                break;
	 
	        }
	        $( 'body.error404' ).css({
	            backgroundSize: bSize
	        });
	    });
	});
	api( 'asw_body_bg_repeat', function( value ) {
	    value.bind( function( to ) { $( 'body.error404' ).css({ backgroundRepeat: to }); });
	});
	api( 'asw_body_bg_color', function( value ) {
	    value.bind( function( to ) { $( 'body.error404' ).css({ backgroundColor: to }); });
	});
	api( 'asw_nav_textalign', function( value ) {
	    value.bind( function( to ) {
	        $( '#navigation' ).removeClass('textcenter textright textleft').addClass(to);
	    });
	});
	api( 'asw_header_socials', function( value ) {
	    value.bind( function( to ) {
	        false === to ? $( '#topbar .social-icons' ).fadeOut('fast') : $( '#topbar .social-icons' ).fadeIn('fast');
	    });
	});
	api( 'asw_main_bg_color', function( value ) {
	    value.bind( function( to ) { $( '#main' ).css({ backgroundColor: to }); });
	});
	api( 'asw_media_logo_light', function( value ) {
	    value.bind( function( to ) {
	    	if( !$( '#header .logo .logo_light img' ).length ) {
	    		$( '#header .logo .logo_light' ).html('<img src="">');
	    	}
	        0 === $.trim( to ).length ?
	            $( '#header .logo .logo_light img' ).attr( 'src', '' ).hide() :
	            $( '#header .logo .logo_light img' ).attr( 'src', to ).show();
	    });
	});
	api( 'asw_media_logo_dark', function( value ) {
	    value.bind( function( to ) {
	    	if( !$( '#header .logo .logo_dark img' ).length ) {
	    		$( '#header .logo .logo_dark' ).html('<img src="">');
	    	}
	        0 === $.trim( to ).length ?
	            $( '#header .logo .logo_dark img' ).attr( 'src', '' ).hide() :
	            $( '#header .logo .logo_dark img' ).attr( 'src', to ).show();
	    });
	});
	api( 'asw_media_logo_width', function( value ) {
	    value.bind( function( to ) {
	        $( '#header .logo img' ).css('max-width', to+'px');
	        $( '#header .logo img' ).css('height', 'auto');
	    });
	});
	api( 'asw_header_copyright', function( value ) {
        value.bind( function( to ) { 
            $( '#lightbox-footer .copyright' ).text( to );
        } );
    });
	
	api( 'asw_posts_headings_font_size', function( value ) {
	    value.bind( function( to ) {
	    	to = parseInt(to);
	        $( 'h3.blog-item-title, .portfolio-item-title h3' ).css('font-size', to+'px');
	    });
	});
	api( 'asw_posts_headings_font_weight', function( value ) {
	    value.bind( function( to ) {
	        $( 'h3.blog-item-title, .title-block h2' ).css('font-weight', to);
	    });
	});
	api( 'asw_posts_headings_font_transform', function( value ) {
	    value.bind( function( to ) {
	        $( 'h3.blog-item-title, .title-block, .portfolio-item-title' ).css('text-transform', to);
	    });
	});
	api( 'asw_posts_headings_letter_spacing', function( value ) {
	    value.bind( function( to ) {
	        $( 'h3.blog-item-title, .title-block h2, .title-block .subtitle, .portfolio-item-title h3' ).css('letter-spacing', to+'px');
	    });
	});
	api( 'asw_posts_headings_font_family', function( value ) {
	    value.bind( function( to ) {
	    	var tmp = to.replace(/\s/g, '+');
	    	if( !$('link#google-font-2').length ){
	    		$('head').append('<link rel="stylesheet" id="google-font-2" href="#" type="text/css" media="all">');
	    	}
	    	if(to != 'Arial' && to != 'Verdana' && to != 'Trebuchet' && to != 'Georgia, sans-serif' && to != 'Times New Roman, sans-serif' && to != 'Tahoma' && to != 'Palatino' && to != 'Helvetica, sans-serif'){
	    		$('link#google-font-2').attr({href:"https://fonts.googleapis.com/css?family="+tmp+":100,100italic,200,200italic,300,300italic,400,400italic,600,600italic,700,700italic,800,800italic&amp;subset=latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese"})
	    	}
	    	$( 'h3.blog-item-title, .title-block, .portfolio-item-title' ).css('font-family', to);
	    });
	});
	api( 'asw_posts_headings_item_color', function( value ) {
	    value.bind( function( to ) {
	        $( 'h3.blog-item-title' ).css('color', to);
	    });
	});
	api( 'asw_posts_headings_item_color_active', function( value ) {
	    value.bind( function( to ) {
	        $( '.blog-item' ).hover(function(){$(this).find('h3.blog-item-title a').css('color', to)}, function(){$(this).find('h3.blog-item-title a').css('color', '')});
	    });
	});
	api( 'asw_widgets_headings_font_size', function( value ) {
	    value.bind( function( to ) {
	        $( '.widget-title' ).css('font-size', to);
	    });
	});
	api( 'asw_widgets_headings_font_family', function( value ) {
	    value.bind( function( to ) {
	    	var tmp = to.replace(/\s/g, '+');
	    	if( !$('link#google-font-3').length ){
	    		$('head').append('<link rel="stylesheet" id="google-font-3" href="#" type="text/css" media="all">');
	    	}
	    	if(to != 'Arial' && to != 'Verdana' && to != 'Trebuchet' && to != 'Georgia, sans-serif' && to != 'Times New Roman, sans-serif' && to != 'Tahoma' && to != 'Palatino' && to != 'Helvetica, sans-serif'){
	    		$('link#google-font-3').attr({href:"https://fonts.googleapis.com/css?family="+tmp+":100,100italic,200,200italic,300,300italic,400,400italic,600,600italic,700,700italic,800,800italic&amp;subset=latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese"})
	    	}
	    	$( '.widget-title' ).css('font-family', to);
	    });
	});
	api( 'asw_widgets_headings_item_color', function( value ) {
	    value.bind( function( to ) {
	        $( '.widget-title' ).css('color', to);
	    });
	});
	api( 'asw_widgets_headings_text_transform', function( value ) {
	    value.bind( function( to ) {
	        $( '.widget-title' ).css('text-transform', to);
	    });
	});
	api( 'asw_widgets_headings_letter_spacing', function( value ) {
	    value.bind( function( to ) {
	        $( '.widget-title' ).css('letter-spacing', to+'px');
	    });
	});
	api( 'asw_accent_color', function( value ) {
	    value.bind( function( to ) {
	        $( '.post-slider-item' ).hover(function(){$(this).find('.post-more').css('background-color', to);}, function(){$(this).find('.post-more').css('background-color', '');});
	    	$('.pie-top-button, .post .meta-categories, #hidden-nav .menu li.current-menu-item a').css('color', to);
	    	$('#hidden-nav .menu li a, .widget .latest-blog-list .meta-categories a, .author .comment-reply a').hover(function(){$(this).css('color', to)}, function(){$(this).css('color', '')});
	    	$('.pie').css('background-color', to);
	    	$('.single-post .post.featured .title .meta-date .meta-categories a').css('border-color', to);
	    	$('input[type="text"], input[type="password"], input[type="email"], input[type="url"], input[type="tel"], input[type="number"], textarea').focus(function(){$(this).css('border-color', to)});
	    	$('input[type="text"], input[type="password"], input[type="email"], input[type="url"], input[type="tel"], input[type="number"], textarea').focusout(function(){$(this).css('border-color', '')});
	    	$( '.instagram-item' ).hover(function(){$(this).find('img').css('border-color', to);}, function(){$(this).find('img').css('border-color', '');});
	    	if( !$('style#asw_accent_color').length ){
	    		$('<style id="asw_accent_color">#sidebar .widget.widget_socials .social-icons li a:before, input[type="submit"]:hover, input[type="submit"]:before, .button:before, button:before, #footer .social-icons li a:before{background-color:'+to+'}</style>').appendTo('head');
	    	} else {
	    		$('style#asw_accent_color').html('#sidebar .widget.widget_socials .social-icons li a:before, input[type="submit"]:hover, input[type="submit"]:before, .button:before, button:before, #footer .social-icons li a:before{background-color:'+to+'}');
	    	}
	    	
	    });
	});
	api( 'asw_body_font_size', function( value ) {
	    value.bind( function( to ) {
	        $( 'body' ).css('font-size', to);
	    });
	});
	api( 'asw_container_width', function( value ) {
	    value.bind( function( to ) {
	        if( !$('style#container_width').length ){
	    		$('<style id="container_width">.container{max-width:'+to+'px;}</style>').appendTo('head');
	    	} else {
	    		$('style#container_width').html('.container{max-width:'+to+'px;}');
	    	}
	    });
	});
	api( 'asw_body_font_family', function( value ) {
	    value.bind( function( to ) {
	    	var tmp = to.replace(/\s/g, '+');
	    	if( !$('link#google-font-4').length ){
	    		$('head').append('<link rel="stylesheet" id="google-font-4" href="#" type="text/css" media="all">');
	    	}
	    	if(to != 'Arial' && to != 'Verdana' && to != 'Trebuchet' && to != 'Georgia, sans-serif' && to != 'Times New Roman, sans-serif' && to != 'Tahoma' && to != 'Palatino' && to != 'Helvetica, sans-serif'){
	    		$('link#google-font-4').attr({href:"https://fonts.googleapis.com/css?family="+tmp+":100,100italic,200,200italic,300,300italic,400,400italic,600,600italic,700,700italic,800,800italic&amp;subset=latin,latin-ext,cyrillic,cyrillic-ext,greek-ext,greek,vietnamese"})
	    	}
	    	$( 'body' ).css('font-family', to);
	    });
	});
	api( 'asw_body_color', function( value ) {
	    value.bind( function( to ) {
	        $( 'body' ).css('color', to);
	    });
	});
	api( 'asw_links_color', function( value ) {
	    value.bind( function( to ) {
	        $( 'a' ).css('color', to);
	    });
	});
	api( 'asw_links_color_hover', function( value ) {
	    value.bind( function( to ) {
	        $( 'a' ).hover(function(){$(this).css('color', to)}, function(){$(this).css('color', '')});
	    });
	});
 
})( jQuery );