<?php
function wythe_compress( $minify ) 
{
/* remove comments */
    $minify = preg_replace( '!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $minify );

    /* remove tabs, spaces, newlines, etc. */
    $minify = str_replace( array("\r\n", "\r", "\n", "\t", '; ', '  ', '    ', '    ',': ', ', ','{ ','}.'), array('','','','',';','','','',':',',','{','} .'), $minify );
        
    return $minify;
}
/**
 * Add color styling from theme
 */
function wythe_styles_method() {
?>
<?php ob_start(); ?>
body {
    font-family: <?php echo esc_attr( get_theme_mod( 'asw_body_font_family', 'Raleway, sans-serif' ) ); ?>;
    font-size: <?php echo esc_attr( get_theme_mod( 'asw_body_font_size', '15px' ) ); ?>;
    font-weight: <?php echo esc_attr( get_theme_mod( 'asw_body_font_weight', 'normal' ) ); ?>;
    color: <?php echo esc_attr( get_theme_mod( 'asw_body_color', '#5f5f5f') ); ?>;
}
body.error404 {
    <?php if( get_theme_mod('asw_body_bg_image', '') !== '') echo 'background-image: url("'.esc_url( get_theme_mod('asw_body_bg_image', '') ).'");'; ?>
    background-size: <?php echo esc_attr( get_theme_mod('asw_body_bg_size', 'cover') ); ?>;
    background-repeat: <?php echo esc_attr( get_theme_mod('asw_body_bg_repeat', 'no-repeat') ); ?>;
    background-color: <?php echo esc_attr( get_theme_mod('asw_body_bg_color', '#ffffff') ); ?>;
}
a, 
.meta-categories a, 
.filters-list li a:hover,
.filters-list li a.active {
   color: <?php echo esc_attr( get_theme_mod('asw_links_color', '#e51428') ); ?>; 
}
a:hover, .meta-categories a:hover {
   color: <?php echo esc_attr( get_theme_mod('asw_links_color_hover', '#a7a8aa') ); ?>; 
}
#header .logo img,
#lightbox-header .logo img {
    width: <?php echo esc_attr( get_theme_mod( 'asw_media_logo_width', '163' ) ); ?>px;
}
.menu-lightbox .menu li a,
#navigation .menu li a { 
    font-size: <?php echo esc_attr( get_theme_mod( 'asw_menu_font_size', '16px' ) ); ?>;
    font-weight: <?php echo esc_attr( get_theme_mod( 'asw_menu_font_weight', 'bold' ) ); ?>;
    font-family: <?php echo esc_attr( get_theme_mod( 'asw_menu_font_family', 'Montserrat' ) ); ?>;
    color: <?php echo esc_attr( get_theme_mod( 'asw_menu_item_color', '#ffffff') ); ?>;
}
.menu-lightbox .menu li a:after {
    font-size: <?php echo esc_attr( get_theme_mod( 'asw_menu_font_size', '18px' ) ); ?>;
}
.menu-lightbox .menu li a:hover,
.menu-lightbox .menu li a:after, 
.menu-lightbox .menu li.current-menu-ancestor > a {
    color: <?php echo esc_attr( get_theme_mod( 'asw_menu_item_color_active', '#e51428') ); ?>;
}
.search-area,
#footer { background-color: <?php echo esc_attr( get_theme_mod( 'asw_footer_bg_color', '#ffffff') ); ?>; }
h3.blog-item-title, 
.member-name, member-position, 
.title-block, 
.portfolio-item-title,
.blog-item .blog-item-more { 
    font-family: '<?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_family', 'Montserrat' ) ); ?>';
    text-transform: <?php echo esc_attr( get_theme_mod('asw_posts_headings_font_transform', 'uppercase') ); ?>;
}
.blog-item .meta-categories a,
input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder,
input:-moz-placeholder,
textarea:-moz-placeholder,
input::-moz-placeholder,
textarea::-moz-placeholder,
input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
    font-family: '<?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_family', 'Montserrat' ) ); ?>';
}
h3.blog-item-title, .portfolio-item-title h3 { 
    font-size: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_size', '16' ) ); ?>px;
}
h3.blog-item-title, .title-block h2 { 
    font-weight: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_weight', '700' ) ); ?>;
}
h3.blog-item-title, .portfolio-item-title h3 {
    <?php if(get_theme_mod( 'asw_posts_headings_letter_spacing', '') !== '') echo 'letter-spacing: '.esc_attr( get_theme_mod( 'asw_posts_headings_letter_spacing', '') ).'px'; ?>;
}
h3.blog-item-title { 
    color: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_item_color', '#202020') ); ?>;
}
.blog-item:hover h3 { 
    color: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_item_color_active', '#ffffff') ); ?>;
}
.h2.author-title, #related-posts h2, #comments #reply-title, #comments-title {
    font-family: '<?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_family', 'Montserrat' ) ); ?>';
    font-weight: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_font_weight', '700' ) ); ?>;
    text-transform: <?php echo esc_attr( get_theme_mod('asw_posts_headings_font_transform', 'uppercase') ); ?>;
}
.title h2 a:hover, .title h3 a:hover, .related-item-title a:hover, .latest-blog-item-description a.title:hover {
    color: <?php echo esc_attr( get_theme_mod( 'asw_posts_headings_item_color_active', '#a7a8aa') ); ?>;
}
.wpb_widgetised_column .widget h3.title, .widget-title {
    font-size: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_font_size', '15px' ) ); ?>; 
    font-weight: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_font_weight', '600' ) ); ?>;
    font-family: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_font_family', 'Montserrat' ) ); ?>;
    color: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_item_color', '#000000') ); ?>;
    text-transform: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_text_transform', 'uppercase') ); ?>;
    letter-spacing: <?php echo esc_attr( get_theme_mod( 'asw_widgets_headings_letter_spacing', '2.1') ); ?>px;
}
.container{
    max-width: <?php echo esc_attr( get_theme_mod('asw_container_width','1774') ); ?>px;
}
<?php $out=ob_get_contents(); $out = wythe_compress($out); ob_end_clean();

    wp_add_inline_style('wythe-stylesheet', $out);
}
add_action( 'wp_enqueue_scripts', 'wythe_styles_method' );
?>