<?php

/* ----------------------------------------------------- 
 * Post Slides Metabox
 * ----------------------------------------------------- */
if(class_exists( 'RWMB_Loader' )){
	add_filter( 'rwmb_meta_boxes', 'asw_framework_register_meta_boxes' );
	function asw_framework_register_meta_boxes($meta_boxes) {
	    $prefix = 'asw_';
        /* ----------------------------------------------------- */
        // Portfolio item meta boxes
        /* ----------------------------------------------------- */
        $meta_boxes[] = array(
            'id'        => 'portfolio_item',
            'title'     => esc_html__('Portfolio item','wythe'),
            'pages'     => array( 'portfolio' ),
            'context' => 'normal',
            'fields'    => array(
                array(
                    'name'      => esc_html__('Preview width', 'wythe'),
                    'desc'      => esc_html__('Portfolio tem preview width.', 'wythe'),
                    'id'        => "{$prefix}portfolio_width",
                    'type'      => 'radio',
                    'std'       => 'width-1x',
                    'options'   => array(
                        'width-1x'      => esc_html__('Standard width', 'wythe'),
                        'width-2x'       => esc_html__('Double width', 'wythe')
                    )
                ),
                array(
                    'name'      => esc_html__('Title color', 'wythe'),
                    'desc'      => esc_html__('Select predefined title color', 'wythe'),
                    'id'        => "{$prefix}portfolio_title_color",
                    'type'      => 'select',
                    'std'       => 'light',
                    'options'   => array(
                        'light'      => esc_html__('Light', 'wythe'),
                        'dark'       => esc_html__('Dark', 'wythe')
                    )
                ),
                array(
                    'name'      => esc_html__('Header style', 'wythe'),
                    'desc'      => esc_html__('Select predefined header color', 'wythe'),
                    'id'        => "{$prefix}portfolio_header_color",
                    'type'      => 'select',
                    'std'       => 'light',
                    'options'   => array(
                        'light'      => esc_html__('Light', 'wythe'),
                        'dark'       => esc_html__('Dark', 'wythe')
                    )
                )
            )
        );
		return $meta_boxes;
	}
}