<?php 
/* ------------------------------------------------------------------------ */
/* Translation
/* Translations can be filed in the framework/languages/ directory */

load_theme_textdomain( 'wythe', get_template_directory() . '/languages' );

$locale = get_locale();
$locale_file = get_template_directory() . "/languages/$locale.php";
if ( is_readable($locale_file) ){

	require_once( trailingslashit( $locale_file ) );
}

require_once( trailingslashit( get_template_directory() ). 'framework/customizer/customizer.php' ); // Enqueue JavaScripts & CSS
require_once( trailingslashit( get_template_directory() ). 'framework/inc/customcss.php' ); // Dinmic styles load
require_once( trailingslashit( get_template_directory() ). 'framework/inc/sidebars.php' ); // register widgets area
/*-widgets include -*/
require_once( trailingslashit( get_template_directory() ). 'framework/widgets/socials.php' ); // add socials widget
require_once( trailingslashit( get_template_directory() ). 'framework/widgets/aboutme.php' ); // add aboutMe widget
require_once( trailingslashit( get_template_directory() ). 'framework/widgets/latestposts.php' ); // add latest posts widget
require_once( trailingslashit( get_template_directory() ). 'framework/widgets/instagram.php' ); // add instagram widget
require_once( trailingslashit( get_template_directory() ). 'framework/widgets/sliderposts.php' ); // add map widget
/* Include Meta Boxes */
require_once( trailingslashit( get_template_directory() ). 'framework/meta-boxes.php' );

function wythe_scripts_basic() {  
    wp_register_script('owl.carousel', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery'), '2.0.0', TRUE);
	if( is_single() || is_home() ) {
		wp_enqueue_script('owl.carousel');
	}
	wp_enqueue_script('lightcase', get_template_directory_uri() . '/js/lightcase.js', array('jquery'), '1.0', TRUE);
	wp_enqueue_script('isotope', get_template_directory_uri() . '/js/isotope.min.js', array('jquery'), '3.0.0', true);
	wp_enqueue_script('imagesloaded', get_template_directory_uri() . '/js/imagesloaded.min.js', array('jquery'), '3.1.8', true);
	wp_enqueue_script('infinitescroll', get_template_directory_uri() . '/js/infinitescroll.min.js', array('jquery'), '2.1.0', true);
	wp_enqueue_script('wythe-functions', get_template_directory_uri() . '/js/functions.js', array('jquery'), '1.0', TRUE);
}
add_action( 'wp_enqueue_scripts', 'wythe_scripts_basic', 11 );

function wythe_styles_basic()  
{  
	/* ------------------------------------------------------------------------ */
	/* Register Stylesheets */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/framework/fonts/font-awesome/css/font-awesome.min.css', array(), '4.6.3', 'all' );
	wp_enqueue_style( 'ionicons', get_template_directory_uri() . '/framework/fonts/ionicons/css/ionicons.min.css', array(), '2.0.0', 'all' );
	wp_enqueue_style( 'linea-icons', get_template_directory_uri() . '/framework/fonts/linea/styles.css', array(), '1.0', 'all' );
	wp_enqueue_style( 'pe-icon-7-stroke', get_template_directory_uri() . '/framework/fonts/pe-icon-7-stroke/css/pe-icon-7-stroke.min.css', array(), '1.0', 'all' );
	wp_register_style( 'owl.carousel', get_template_directory_uri() . '/css/owl.carousel.css', array(), '2.0.0', 'all' );
	if( is_single() || is_home() ) {
		wp_enqueue_style( 'owl.carousel' );
	}
	wp_enqueue_style( 'wythe-playfair-display', 'https://fonts.googleapis.com/css?family=Playfair+Display', array(), '1.0', 'all' );
	wp_enqueue_style( 'wythe-basic', get_template_directory_uri() . '/css/basic.css', array(), '1.0', 'all' );
	wp_enqueue_style( 'wythe-skeleton', get_template_directory_uri() . '/css/grid.css', array(), '1', 'all' );
	wp_enqueue_style( 'lightcase', get_template_directory_uri() . '/css/lightcase.css', array(), '1.0', 'all' );
	if( class_exists( 'Elementor\Widget_Base' ) ) {
		wp_enqueue_style( 'wythe-stylesheet', get_template_directory_uri() .'/style.css', array('elementor-frontend', 'lightcase', 'wythe-skeleton'), '1.0', 'all' );
	} else {
		wp_enqueue_style( 'wythe-stylesheet', get_template_directory_uri() .'/style.css', array('wythe-skeleton'), '1.0', 'all' );
	}
	if( get_theme_mod('asw_responsiveness', true) ) {
		wp_enqueue_style( 'wythe-responsive', get_template_directory_uri() . '/css/responsive.css', array('wythe-stylesheet'), '1.0', 'all' );
	}
}  
add_action( 'wp_enqueue_scripts', 'wythe_styles_basic', 1 );

if(!function_exists('wythe_enqueue_comments_reply')){
	function wythe_enqueue_comments_reply(){
		wp_enqueue_script( 'comment-reply' );
	}
	add_action( 'comment_form_before', 'wythe_enqueue_comments_reply' );
}
/* Add Custom Primary Navigation */
if(!function_exists('wythe_register_custom_menu')){
	add_action('init', 'wythe_register_custom_menu');
	function wythe_register_custom_menu() {
		register_nav_menu('main_navigation', esc_html__('Main Navigation','wythe'));
	}
}
if(!function_exists('wythe_string_limit_words')){
	function wythe_string_limit_words($string, $word_limit)
	{
	  $string = strip_tags($string, '<p>');
	  $words = explode(' ', $string, ($word_limit + 1));
	  if(count($words) > $word_limit)
	    array_pop($words);
	  return implode(' ', $words);
	}
}
if(!function_exists('wythe_extra_body_classes')){
	function wythe_extra_body_classes($classes){
		if(get_theme_mod('asw_ajax_post_load', false) && (is_singular('post') || is_home() || is_archive()) ){
			$classes[] = 'asw-ajax-post-load';
		}
    	return $classes;
	}
	add_filter( 'body_class','wythe_extra_body_classes' );
}
if(!function_exists('wythe_theme_setup')){
	function wythe_theme_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( "title-tag" );
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );
		set_post_thumbnail_size( '800', '500', true );
		add_image_size('wythe-masonry', 800, 9999, false);
		add_image_size('wythe-fullwidth-slider', 1200, 362, true);
		add_image_size('wythe-480x500', 480, 500, true);

		update_option( 'thumbnail_size_w', 160 );
		update_option( 'thumbnail_size_h', 160 );
		update_option( 'thumbnail_crop', 1 );

		update_option( 'medium_size_w', 470 );
		update_option( 'medium_size_h', 410 );
		update_option( 'medium_crop', 1 );

		update_option( 'large_size_w', 1170 );
		update_option( 'large_size_h', 730 );
		update_option( 'large_crop', 1 );
	
	}

	add_action( 'after_setup_theme', 'wythe_theme_setup' );
}
add_action( 'elementor/loaded', 'wythe_update_elementor_settings' );
function wythe_update_elementor_settings(){
	update_option( 'elementor_container_width', '1774' );
	update_option( 'elementor_space_between_widgets', '75' );
	$tmp = array('page', 'post', 'portfolio');
	update_option( 'elementor_cpt_support', $tmp );
	update_option( 'elementor_global_image_lightbox', 'no' );
}
if(!function_exists('wythe_custom_excerpt_length')){
	function wythe_custom_excerpt_length( $length ) {
	    return 30;
	}
	add_filter( 'excerpt_length', 'wythe_custom_excerpt_length', 999 );
}

if(!function_exists('wythe_modify_excerpt')){
	add_filter('excerpt_more', 'wythe_modify_excerpt');
	function wythe_modify_excerpt() {
		return '...';
	}
}
if(!function_exists('wythe_modify_read_more_link')){
	add_filter( 'the_content_more_link', 'wythe_modify_read_more_link' );
	function wythe_modify_read_more_link() {
		if( is_sticky() ){
			return '...';
		} else {
			return '<a href="'.esc_attr(get_the_permalink()).'" class="readmore" rel="bookmark">'.esc_html__('Continue reading', 'wythe').'</a>';
		}
	}
}
/* Pagination */
if(!function_exists('wythe_next_posts_link_attributes')){
	add_filter('next_posts_link_attributes', 'wythe_next_posts_link_attributes');
	function wythe_next_posts_link_attributes() {
	    return 'class="next"';
	}
}
if(!function_exists('wythe_prev_posts_link_attributes')){
	add_filter('previous_posts_link_attributes', 'wythe_prev_posts_link_attributes');
	function wythe_prev_posts_link_attributes() {
	    return 'class="previous"';

	}
}
if(!function_exists('rwmb_meta')){
	function rwmb_meta($key) {
		return get_post_meta(get_the_ID(), $key);
	}
}
if(!function_exists('wythe_custom_pagination')){
  function wythe_custom_pagination($pages = '', $range = 4) {
    $showitems = ($range * 2)+1;
    $out ='';
    global $paged;
    if(empty($paged)) $paged = 1;
    
    if($pages == '') {
      global $wp_query;
      $pages = $wp_query->max_num_pages;
      if(!$pages) {
        $pages = 1;
      }
    }
    
    if(1 != $pages) {
      if($paged > 1) {
      	$out .= get_previous_posts_link(esc_html__('Newer posts', 'wythe'));
      } else {
      	$out .= '<span class="previous nonactive">'.esc_html__('Newer posts', 'wythe').'</span>';
      }
      if ($paged < $pages) {
      	$out .= get_next_posts_link(esc_html__('Older posts', 'wythe'));
      } else {
      	$out .= '<span class="next nonactive">'.esc_html__('Older posts', 'wythe').'</span>';
      }
    }
    return $out;
  }
}

if(!function_exists('wythe_getnext_posts')){
	add_action( 'wp_ajax_getnext_posts', 'wythe_getnext_posts' );
	function wythe_getnext_posts() {
		global $paged;
	    $posts_link = get_next_posts_link();
	    return $posts_link;
	    die(); // this is required to return a proper result
	}
}

/* ------------------------------------------------------------------------ */
/* Comments
/* ------------------------------------------------------------------------ */
if(!function_exists('wythe_move_comment_field_to_bottom')){
	function wythe_move_comment_field_to_bottom( $fields ) {
		$comment_field = $fields['comment'];
		unset( $fields['comment'] );
		$fields['comment'] = $comment_field;
		return $fields;
	}
	add_filter( 'comment_form_fields', 'wythe_move_comment_field_to_bottom' );
}
if(!function_exists('wythe_comment')){
	function wythe_comment( $comment, $args, $depth ) {
	   $GLOBALS['comment'] = $comment; ?>
	   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	   <div id="comment-<?php comment_ID(); ?>" class="comment-body clearfix"> 
	   		<div class="author-avatar">
	   			<?php
					// retrieve our additional author meta info
					$user_meta_image = esc_attr( get_the_author_meta( 'user_meta_image', get_comment()->user_id ) );
				    // make sure the field is set
				    if ( isset( $user_meta_image ) && $user_meta_image && get_comment()->user_id != '0' ) {
				        // only display if function exists
				        if ( function_exists( 'asw_framework_get_additional_user_meta_thumb' ) ) ?>
				            <img alt="<?php esc_html_e('author photo', 'wythe'); ?>" src="<?php echo asw_framework_get_additional_user_meta_thumb(get_comment()->user_id); ?>" />
				<?php } else {
					echo get_avatar( $comment, '70', '' );
				} ?>
	   		</div>
	        <div class="comment-text">
				<div class="author">
				 	<h2 class="author-title"><?php printf( esc_html__( '%s', 'wythe'), get_comment_author_link() ) ?></h2>
				 	<div class="date-comment">
				 		<?php printf(esc_html__('%1$s', 'wythe'), get_comment_date(get_option('date_format'))) ?>
				 	</div>  
				</div>
				<div class="text clearfix">
				<?php comment_text() ?>
				<?php if ( $comment->comment_approved == '0' ) : ?>
			        <em><?php esc_html_e( 'Your comment is awaiting moderation.', 'wythe') ?></em>
			        <br />
		      	<?php endif; ?>
		      	</div>
		      	<div class="reply-edit">
		      		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
				 	<?php edit_comment_link( esc_html__( 'Edit', 'wythe'),' ','' ) ?>
		      	</div>
	      	</div>
	   </div>
	<?php
	}
}
// Define Content Width 
if(! isset( $content_width)){
	$content_width = 1624;
}
// Echo theme's meta data if enabled
if(!function_exists('wythe_header_meta')) {
	/**
	 * Function that echoes meta data if our seo is enabled
	 */
	function wythe_header_meta() {
		if( !get_theme_mod('asw_seo_settings', false) ) {
			$meta_description = esc_html(get_post_meta(get_the_ID(), "asw_page_meta_description", true));
			$meta_keywords = esc_html(get_post_meta(get_the_ID(), "asw_page_meta_keywords", true));
			if($meta_description) { 
				echo '<meta name="description" content="'.$meta_description.'">'."\r\n";
			} else if( get_theme_mod('asw_meta_description', false) ){
				echo '<meta name="description" content="'.get_theme_mod('asw_meta_description').'">'."\r\n";
			}
			if($meta_keywords) {
				echo '<meta name="keywords" content="'.$meta_keywords.'">'."\r\n";
			} else if( get_theme_mod('asw_meta_keywords', false) ){
				echo '<meta name="keywords" content="'.get_theme_mod('asw_meta_keywords').'">'."\r\n";
			}
		}
	}
	add_action('wythe_header_meta', 'wythe_header_meta');
}

/* ------------------------------------------------------------------------ */
/* Automatic Plugin Activation */
require_once( trailingslashit( get_template_directory() ). 'framework/inc/plugin-activation.php' );
/* ------------------------------------------------------------------------ */
// Recommended plugins activation
add_action('tgmpa_register', 'wythe_register_required_plugins');
function wythe_register_required_plugins() {
	$plugins = array(

		array(
        	'name'      => esc_html__('Contact Form 7', 'wythe'),
        	'slug'      => 'contact-form-7',
			'required' 	=> true, 
        ),
        array(
        	'name'      => esc_html__('Meta Box', 'wythe'),
        	'slug'      => 'meta-box',
			'required' 	=> true, 
        ),
        array(
        	'name'      => esc_html__('Elementor builder','wythe'),
        	'slug'      => 'elementor',
			'required' 	=> true,
        ),
        array(
        	'name'      => esc_html__('One Click Demo Import','wythe'),
        	'slug'      => 'one-click-demo-import',
			'required' 	=> false,
        ),
        array(
        	'name'      		=> esc_html__('Wythe Elements','wythe'),
        	'slug'      		=> 'wythe-elements',
        	'source'   			=> esc_url(get_template_directory_uri() . '/framework/plugins/wythe-elements.zip'),
			'required' 			=> true, 
			'force_activation' 	=> false,
        ),
        array(
        	'name'      		=> esc_html__('Revolution slider','wythe'),
        	'slug'      		=> 'revslider',
        	'source'   			=> esc_url(get_template_directory_uri() . '/framework/plugins/revslider.zip'),
			'required' 			=> true, 
			'force_activation' 	=> false,
        ),
        array(
        	'name'      		=> esc_html__('Visual Composer','wythe'),
        	'slug'      		=> 'js_composer',
        	'source'   			=> esc_url(get_template_directory_uri() . '/framework/plugins/js_composer.zip'),
			'required' 			=> false,
        ),
	);

	/**
	 * Array of configuration settings. Amend each line as needed.
	 * If you want the default strings to be available under your own theme domain,
	 * leave the strings uncommented.
	 * Some of the strings are added into a sprintf, so see the comments at the
	 * end of each line for what each argument will be.
	 */
	$config = array(
		'domain'       		=> 'wythe',         	// Text domain - likely want to be the same as your theme.
		'default_path' 		=> '',                         	// Default absolute path to pre-packaged plugins
		'menu'         		=> 'install-required-plugins', 	// Menu slug
		'has_notices'      	=> true,                       	// Show admin notices or not
		'is_automatic'    	=> false,					   	// Automatically activate plugins after installation or not
		'message' 			=> '',							// Message to output right before the plugins table
		'strings'      		=> array(
			'page_title'                       			=> esc_html__( 'Install Required Plugins', 'wythe' ),
			'menu_title'                       			=> esc_html__( 'Install Plugins', 'wythe' ),
			'installing'                       			=> esc_html__( 'Installing Plugin: %s', 'wythe' ), // %1$s = plugin name
			'oops'                             			=> esc_html__( 'Something went wrong with the plugin API.', 'wythe' ),
			'return'                           			=> esc_html__( 'Return to Required Plugins Installer', 'wythe' ),
			'plugin_activated'                 			=> esc_html__( 'Plugin activated successfully.', 'wythe' ),
			'complete' 									=> esc_html__( 'All plugins installed and activated successfully. %s', 'wythe' ), // %1$s = dashboard link
			'nag_type'									=> 'updated' // Determines admin notice type - can only be 'updated' or 'error'
		)
	);
	tgmpa($plugins, $config);
}

function wythe_search_filter($query) {
	if ($query->is_search) {
		$query->set('posts_per_page', 8);
		$query->set('post_type', array('post', 'portfolio', 'page'));
	}
	return $query;
}
add_filter('pre_get_posts','wythe_search_filter');
if(!function_exists('WytheCommentsNumber')){
	function WytheCommentsNumber($postID, $echo = false){
		$num_comments = get_comments_number($postID);
		if ( comments_open() ) {
			if ( $num_comments == 0 ) {
				$comments = esc_html__('No Comments', 'wythe');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments .' '. esc_html__('Comments', 'wythe');
			} else {
				$comments = esc_html__('1 Comment', 'wythe');
			}
			$write_comments = '<a href="' . get_comments_link($postID) .'">'. $comments.'</a>';
		} else {
			$write_comments =  esc_html__('Comments disabled.', 'wythe');
		}

		return $write_comments;
	}
}
if(!function_exists('WytheExcerpt')){
	function WytheExcerpt($limit) {
		$excerpt = explode(' ', get_the_excerpt(), $limit);
		if (count($excerpt)>=$limit) {
			array_pop($excerpt);
			$excerpt = implode(" ",$excerpt).'...';
		} else {
			$excerpt = implode(" ",$excerpt);
		} 
		$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
		return $excerpt;
	}
}
if(!function_exists('wythe_tax_num_of_posts')){
	add_action('pre_get_posts', 'wythe_tax_num_of_posts' );
	function wythe_tax_num_of_posts( $wp_query ) {  
	    if( !is_admin() && ( is_tax('portfolio_filter') || is_post_type_archive('portfolio') ) && $wp_query->is_main_query()) {
	        $wp_query->set('posts_per_page', 7);
	    }
	}
}

add_action('admin_head', 'wythe_custom_fonts');
function wythe_custom_fonts() {
	
  $wythe_icon_style = '.asw-element-icon {
      width:32px;
      height:32px;
      line-height:32px !important;
      border-radius:4px;
      background-image:none !important;
      background-color:#e51428;
      color:#ffffff;
      font-size:22px !important;
      text-align:center;
    } 
    .vc_edit-form-tab-control .vc_add-element-filter-button[data-filter*=".js-category-a2668dcc66208c09854a6ebafe5e61b2"] {
    	padding-left:36px !important;
    	background-image:url('.get_template_directory_uri().'/images/wythe-elements-light.png) !important;
    	background-position:8px center !important;
    	background-repeat:no-repeat !important;
    	background-size:20px 20px !important;
    }
    .vc_edit-form-tab-control.vc_active .vc_add-element-filter-button[data-filter*=".js-category-a2668dcc66208c09854a6ebafe5e61b2"] {
		background-image:url('.get_template_directory_uri().'/images/wythe-elements-dark.png) !important;
    }';
  wp_add_inline_style('js_composer', $wythe_icon_style);
}

if(!function_exists('wythe_import_files')){
	function wythe_import_files() {
	    return array(
	        array(
	            'import_file_name'           => esc_html__('Wythe Demo Import','wythe'),
	            'local_import_file'            => trailingslashit( get_template_directory() ).'framework/import/demo-content.xml',
	            'local_import_widget_file'     => trailingslashit( get_template_directory() ).'framework/import/widgets.wie',
	            'local_import_customizer_file' => trailingslashit( get_template_directory() ).'framework/import/customizer.dat',
	            'import_preview_image_url'   => trailingslashit( get_template_directory_uri() ).'framework/import/preview_import.jpg',
	            'preview_url'                => 'http://www.wythe.artstudioworks.net/',
	        )
	    );
	}
	add_filter( 'pt-ocdi/import_files', 'wythe_import_files' );
}

function wythe_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Main menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'main_navigation' => $main_menu->term_id,
        )
    );
    //Import Revolution Slider
	if ( class_exists( 'RevSlider' ) ) {
		$slider_array = array(
			get_template_directory()."/framework/import/homeslider.zip"
		);

		$slider = new RevSlider();
		foreach($slider_array as $filepath){
			$slider->importSliderFromPost(true,true,$filepath);  
		}

		esc_html_e(' Slider processed', 'wythe');
	}
    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

    update_option( 'elementor_container_width', '1774' );
	update_option( 'elementor_space_between_widgets', '75' );
	$tmp = array('page', 'post', 'portfolio');
	update_option( 'elementor_cpt_support', $tmp );
	update_option( 'elementor_global_image_lightbox', 'no' );
	
}
add_action( 'pt-ocdi/after_import', 'wythe_after_import_setup' );
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328190&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>