// to top right away
(function($) {
    "use strict";
    setTimeout(function(){
        if(window.location.hash) {
            // smooth scroll to the anchor id
            $('html, body').animate({
                scrollTop: $(window.location.hash).offset().top + 'px'
            }, 1000, 'swing');
        }
    }, 800);
    $('.portfolio-container .portfolio-item').attr('data-scrolled-into-view','');
    setTimeout(function(){ $('.page-loading').fadeOut('fast', function (){});}, 100);
    $.fn.visible = function (partial, hidden, container) {

        var $t = $(this).eq(0),
            t = $t.get(0),
            $w = (container != null ? container : $(window)),
            viewTop = (container != null ? 0 : $w.scrollTop()+100),
            viewBottom = viewTop + $w.height(),
            _top = $t.offset().top,
            _bottom = _top + $t.height(),
            compareTop = partial === true ? _bottom : _top,
            compareBottom = partial === true ? _top : _bottom,
            clientSize = hidden === true ? t.offsetWidth * t.offsetHeight : true;
        return !!clientSize && ((compareBottom <= viewBottom) && (compareTop >= viewTop));
    };
    function animateElementInView() {
        var animatedElements = $('[data-scrolled-into-view]');
        animatedElements.each(function(i, el) {
            var el = $(el);
            if (el.visible(true)) {
                el.attr("data-scrolled-into-view", "true");
            }
        });
    }
    function updateAnimationInView() {
        if(!isMobile()){
            var animatedElements = $('[data-scrolled-into-view]');
            animatedElements.each(function(i, el) {
                var el = $(el);
                if (el.visible(true)) {
                    el.attr("data-scrolled-into-view", "true");
                }
            });
            
        }
    }
    animateElementInView();
    var previousScroll = 0;
    $(window).scroll(function() {
        animateElementInView();
    });
    function animate_after_window_load(){
        $('#header .logo, .menu-button-open, #slider').addClass('loaded');
    }
    $(window).load(function(){
        animate_after_window_load();
    });
    function isMobile() {
        var windowWidth = window.screen.width < window.outerWidth ? window.screen.width : window.outerWidth;
        if( (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) || windowWidth < 782 ){
            return true;
        } else {
            return false;
        }
    }
    function sectionUpdateHeight(sections){
        if(!isMobile()){
            sections.each(function(i, el){
                var el = $(el);
                var fpCell = el.find('.fp-tableCell');
                if(el.data('percentage') !== null){
                    el.css({height:(el.height()*el.data('percentage')/100)});
                    fpCell.css({height:(el.height()*el.data('percentage')/100)});
                }
            });
        }
    }
    function sectionUpdateBg(sections){
        sections.each(function(i, el){
                var el = $(el);
                if(el.data('background-img')){
                    el.css({backgroundImage:'url('+el.data('background-img')+')'});
                }
                if(el.data('background-color')){
                    el.css({backgroundColor:el.data('background-color')});
                }
            });
    }
    $('.next-preview').hover(
        function(){
            $(this).parent().parent().next().css({'marginLeft':'-5%'});
        }, 
        function(){
            $(this).parent().parent().next().css({'marginLeft':'0%'});
    });
    $.fn.divide_word = function(){
        var $ww = $(this);
        $ww.html(function(i, html) {
            return $ww.text().replace(/./g, function(char){return '<span>'+char+'</span>';});
        });
    };
    $(window).scroll(function(){
        if($(window).scrollTop() > 200){
            $(".fancy-fullscreen-bg").addClass('back');
        } else{
            $(".fancy-fullscreen-bg").removeClass('back');
        }
        if($(window).scrollTop() > 60){
            $('#header.fixed').addClass('sticky');
        } else {
            $('#header.fixed').removeClass('sticky');
        }
    });
    $('.special-hover span, .special-hover div, h2 a.special-hover, h2.tp-caption, #lightbox-footer .socials li div').each(function(i,e){
        var e = $(e);
        e.divide_word();
    });
    $('a[data-rel^=lightcase]').lightcase(
        {
            iframe: {
                width: 1209,
                height: 607,
                allowfullscreen: 1
            }
        }
    );
    $('body').on('click', '.menu-button-open',function(event){
        event.preventDefault();
        event.stopPropagation();
        $('body').addClass('overflow-hidden');
        $('.menu-lightbox').fadeIn('normal', function(){$(this).addClass('active')});
        $('.menu-button-close').addClass('loaded');
    });
    $('body').on('click', '.menu-button-close', function(){
        $('.menu-lightbox').delay(100).removeClass('active').delay(200).fadeOut('slow');
        $('.menu-button-close').removeClass('loaded');
        $('body').removeClass('overflow-hidden');
        return false;
    });
    $('body').on('click', '#menu.menu li a', function(){
        var $href = $(this).attr('href');
        var hash = $href.substring($href.indexOf('#'));
        var $anchor = $(hash).offset();
        $('.menu-button-close').click();
        $('body').delay(500).animate({ scrollTop: $anchor.top }, 1200);
    });


    // init Masonry
    var $portfolioContainer = $('.portfolio-container').masonry({
      itemSelector: '.portfolio-item',
      columnWidth: '.width-1x',
      percentPosition: true,
      resize: true
    });   
    var $stamp = $portfolioContainer.find('.portfolio-more-items');
    // layout Masonry after each image loads
    $portfolioContainer.imagesLoaded().progress( function() {
        $portfolioContainer.masonry('layout');
    });
    var timer;
    var opts      = {
        parent:               ".portfolio-item",
        normalizeTextColor:   true,
        normalizedTextColors:  {
          light:      "#e5e5e5",
          dark:       "#202020"
        },
    };
    function getNextElements() {
    	var next_url = $('.portfolio-more-items div a.next').attr('href');
    	if(next_url !== undefined){
    		$.get( next_url, function( content ) {
	            // wrap content in jQuery object
	            var $content = $( content ).find('.portfolio-container .portfolio-item');
	            // add jQuery object
	            var loadMore = $('.portfolio-more-items');
	            $portfolioContainer.find('.portfolio-more-items').remove();
	            $portfolioContainer.append( $content ).masonry( 'appended', $content ).masonry('layout');
	            $portfolioContainer.masonry('reloadItems');
	            $portfolioContainer.find('.portfolio-more-items > a').addClass('active');
	            $portfolioContainer.find('.portfolio-more-items').removeClass('hide');
	            $portfolioContainer.masonry('layout'); 
	        }).fail(function() {
                $('.portfolio-more-items a.load-more').removeClass('active');
                $('.portfolio-more-items a span').text($('.portfolio-more-items a span').data('the-end'));
	        }).done(function(){
	        });
    	} else {
    		$('.portfolio-more-items a.load-more').removeClass('active');
            $('.portfolio-more-items a span').text($('.portfolio-more-items a span').data('the-end'));
    	}
        
    };
    $('body').on('mouseover', '.portfolio-more-items .load-more.active', function(){
        if(timer) {
            clearTimeout(timer);
            timer = null
        }
        timer = setTimeout(function() {
        	$portfolioContainer.find('.portfolio-more-items > a').removeClass('active');
            getNextElements();
        }, 1200)
    });
     $('body').on('mouseout', '.portfolio-more-items .load-more', function(){
        clearTimeout(timer);
        timer = null
    });
    $('body').on('click', '.portfolio-more-items .load-more', function(){
        if($(this).hasClass('active')){
        	$(this).removeClass('active');
            getNextElements();
        }
        return false;
    });
    $('.video-play').click(function(){
        if($(this).prev("video").get(0).paused){
            $(this).prev("video").get(0).play();
            $(this).addClass('hide pause');
        }else{
            $(this).prev("video").get(0).pause();
            $(this).removeClass('pause hide');
        }
        return false;
    });
    function showPlayButton() {
        var video = $('.video');
        if(video.length > 0){
            var ended = $('.video').find("video").get(0).ended;
            if (ended) {
                video.find('.video-play').removeClass('hide pause');
            }
        }
        setTimeout(showPlayButton, 1000);
    }
    $('body').on('click','.menu-button-back', function(event){
        event.preventDefault();
        event.stopPropagation();
        if( $('.blog-list').innerHeight() > $('.blog-list .list-content-wrapper').innerHeight() )  {
        	$('.load-more-text').fadeIn('normal');
	    	getNextBlogElements();
	    }
        $(this).parent().parent().addClass('is--pushed-right');
        $(this).addClass('active');
    });
    $('body').on('click','.is--pushed-right .menu-button-back', function(event){
        event.preventDefault();
        event.stopPropagation();
        $(this).removeClass('active');
        $(this).parent().parent().removeClass('is--pushed-right');
    });
    $('body').on('click', '#main .article.is--pushed-right', function(){
        $('.is--pushed-right .menu-button-back').click();
    });

    // init Blog Masonry
    var $blogContainer = $('.blog-list .blog-grid').masonry({
      itemSelector: '.blog-item',
      columnWidth: '.blog-item',
      percentPosition: true
    });   
    // layout Masonry after each image loads
    $blogContainer.imagesLoaded().progress( function() {
        $blogContainer.masonry('layout').masonry('reloadItems');
    });
    $('.archive .blog-list .blog-grid .blog-item, .blog .blog-list .blog-grid .blog-item').eq(0).remove();
    function getNextBlogElements() {
        var url = $('#pagination a.next').attr('href');
        if(url !== undefined){
	        $.get( url, function( content ) {
	            // wrap content in jQuery object
	            var $content = $( content ).find('.blog-list .blog-grid .blog-item');
	            var $pagin = $( content ).find('.blog-list #pagination').html();
	            // add jQuery object
	            $('.blog-list #pagination').html($pagin);
	            $blogContainer.append( $content ).masonry( 'appended', $content ).masonry('layout');          
	        }).fail(function() {
	            $('.blog-list').unbind('scroll');
	            var no_items = $('.load-more-text-no').text();
	            $('.load-more-text').text(no_items);
	        }).done(function(){
	            $('.load-more-text').fadeOut('fast');
	        });
	    } else {
	    	var no_items = $('.load-more-text-no').text();
	        $('.load-more-text').text(no_items);
	    	$('.blog-list').unbind('scroll');
	    }
    };
    $('.blog-list').on('scroll', function() {
        $('.load-more-text').fadeIn('normal');
        if($(this).scrollTop() + $(this).innerHeight() >= $(this)[0].scrollHeight) {
            getNextBlogElements();
        }
    });
    function ChangeUrl(page, url) {
        if (typeof (history.pushState) != "undefined") {
            var obj = { Page: page, Url: url };
            history.pushState(obj, obj.Page, obj.Url);
        } else {
            alert("Browser does not support HTML5.");
        }
    }
    function getBlogItem(el){
        var url = el.attr('href');
        $.get( url, function( content ) {
            var postContainer = $('#main');
            var postContainerArticle = $('#main .article');
            // wrap content in jQuery object
            var $content = $( content ).find('#main .article').html();
            var title = $( content ).find('#main .article h1.title').text();
            ChangeUrl('Single', url);
            document.title = title;
            // add jQuery object
            postContainerArticle.html( $content );
            postContainer.addClass('animateOpacity');
            setTimeout(function(){
               $('.page-loading').fadeOut('fast', function (){});
               $('#main .article').click();
            }, 300);            
        });
    };
    $('body.asw-ajax-post-load').on('click', '#main .blog-item .blog-item-title a, #main .blog-item .blog-item-more', function(){
    	$('.page-loading').fadeIn('fast', function (){});
        getBlogItem($(this));
        return false;
    });
	function expandMenu(e){
	    var sublist = $(e.target).children('.sub-menu');      
	    if(sublist.length != 0){
	        if(sublist.is(":visible")){
	            sublist.slideUp('normal');
	            sublist.parent().removeClass('active');
	        }
	        else{
	            sublist.slideDown('normal');
	            sublist.parent().addClass('active');
	            return false;
	        }
	    }    
	}
	
	$('.menu li.menu-item-has-children').click(expandMenu);
})(jQuery);