<?php get_header('blank'); ?>
<div id="page-wrap" class="">
	<div id="main" class="single">
			<?php 
			global $post;
			$paged = (get_query_var('page')) ? get_query_var('page') : 1;

			$args = array(
				'post_type' => 'post',
				'posts_per_page' => get_option('posts_per_page', 6),
				'post_status'    => 'publish',
				'orderby'        => 'date',
				'paged' => $paged,
				'post__not_in' => array( $post->ID )
			);
			
			//query_posts( $args );
			$asw_posts = new WP_Query( $args );
			if( $asw_posts->have_posts() ){ ?>
			<div class="blog-list">
				<header id="header">
					<div class="container">
						<div class="span12">
							<div class="my-table">
								<div class="my-tr">
									<div class="my-td">
										<div class="logo">
											<?php if(get_theme_mod('asw_media_logo_dark','') != "") { ?>
												<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_dark"><img src="<?php echo esc_url(get_theme_mod('asw_media_logo_dark')); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>" /></a>
											<?php } ?>
											<?php if(get_theme_mod('asw_media_logo_light','') == "" && get_theme_mod('asw_media_logo_dark','') == "") { ?>
												<a href="<?php echo esc_url(home_url('/')); ?>" class="logo_standard"><h1 class="logo-text"><?php echo esc_html( get_bloginfo( 'name' ) ); ?></h1></a>
											<?php } ?>
										</div>
									</div>
									<div class="my-td">
										<a href="#" class="menu-button-open show-on-mobile"><span class="line1"></span><span class="line2"></span><span class="line3"></span></a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</header>
				<div class="list-content-wrapper">
					<div class="blog-grid cols-2">
						<?php 
						$blog_style = 'blog-'.get_theme_mod('asw_blog_item_style', 'standard');
						while ( $asw_posts->have_posts() ) { 
							$asw_posts->the_post();
							$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'medium' ); 
							$terms = get_the_category();
							$categories = '';
							if ( ! empty($terms) ) {
								$terms_out = array();
								$categories = '<div class="meta-categories">';
								$i = 0;
								foreach ( $terms as $term ){
									$terms_out[] = '<a href="' .esc_url(get_category_link( $term->term_id ) ).'">'.esc_html($term->name).'</a>';
									if (++$i == 3) break;
								}
								$categories .= join( ', ', $terms_out );
								$categories .= '</div>';
							}
						?>
							<div class="blog-item <?php echo $blog_style; ?> mb40">
								<figure class="post-img"><?php the_post_thumbnail('medium'); ?><div class="overlay-img"></div></figure>
								<?php echo $categories; ?>
								<h3 class="blog-item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
								<a href="<?php the_permalink(); ?>" class="blog-item-more"><?php esc_html_e('Read more', 'wythe'); ?></a>
							</div><!-- end div .blog-item -->
						<?php } ?>
					</div><!-- end div .blog-grid .cols-4 -->
					<!-- The next page which content will be loaded when scrolled -->
					<div id="pagination" class="hide"><?php
					echo paginate_links( array(
			          'current' => $paged,
			          'total' => $asw_posts->max_num_pages,
			          'format' => '?page=%#%'
			      ) );
					?></div>
					<div class="load-more-text"><?php esc_html_e('Load More...', 'wythe'); ?></div>
					<div class="load-more-text-no hide"><?php esc_html_e('No more items', 'wythe'); ?></div>
				</div>
			</div>
			<?php } wp_reset_postdata(); ?>
			<?php if (have_posts()) : while (have_posts()) : 
				the_post();
				$terms = get_the_category();
				$categories = '';
				if ( ! empty($terms) ) {
					$i = 0;
					$terms_out = array();
					foreach ( $terms as $term ){
						$terms_out[] = '<a href="' .esc_url(get_category_link( $term->term_id ) ).'">'.esc_html($term->name).'</a>';
						if (++$i == 3) break;
					}
					$categories .= join( ', ', $terms_out );
				}
			?>
				<article class="article">
				<header class="header">
					<a href="#" class="menu-button-back"><i class="ion-ios-arrow-left"></i></a>
					<?php the_post_thumbnail('full'); ?>
					<div class="overlay"></div>
					<div class="info">
						<div class="meta"><span class="meta-categories"><?php echo $categories; ?></span><span class="date"><?php the_date('F d, Y'); ?></span></div>
						<h1 class="title"><?php the_title(); ?></h1>
					</div>
					<a href="#" class="menu-button-open"><span class="line1"></span><span class="line2"></span><span class="line3"></span></a>
				</header>
				<section class="section">
					<a href="#" class="menu-button-open"><span class="line1"></span><span class="line2"></span><span class="line3"></span></a>
					<div class="article-content">
						<?php the_content(); ?>
					</div>
					<?php wp_link_pages(array('before' =>'<div class="pagination_post">', 'after'  =>'</div>', 'pagelink' => '<span>'.esc_html__('Page','wythe').' %</span>')); ?>
					<footer class="article-footer">
						<div class="meta-tags">
							<?php the_tags( '', '', '' ); ?> 
						</div>
						<?php get_template_part( 'framework/inc/sharebox' ); ?>
					</footer>
					<?php 
						if(comments_open()) {
							comments_template();
						} 
					?>
				</section>

									
			</article>	
		<?php endwhile; endif; ?>
	</div>
	<?php get_footer('blank'); ?>
</div>
