<?php
/* ----------------------------------------------------- */
/* Testimonial Custom Post Type */
/* ----------------------------------------------------- */
// Adds columns in the admin view for thumbnail and taxonomies
add_filter( 'manage_edit-testi_columns', 'asw_testimonial_edit_columns' );
add_action('init', 'asw_post_type_testi');

function asw_post_type_testi() {
	register_post_type( 'testi',
                array( 
                'menu_icon'=>'dashicons-testimonial',	
				'label' => __('Testimonials', 'asw-framework'), 
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => false,
				'menu_position' => 5,
				'rewrite' => array(
					'slug' => 'testimonial-view',
					'with_front' => FALSE,
				),
				'supports' => array(
						'title',
						'custom-fields',
						'thumbnail',
						'editor')
					) 
				);
}

function asw_testimonial_edit_columns( $testimonial_columns ) {
	$testimonial_columns = array(
		"cb" => "<input type=\"checkbox\" />",
		"title" => __('Title', 'asw-framework'),
		"thumbnail" => __('Thumbnail', 'asw-framework'),
		"author" => __('Author', 'asw-framework'),
		"date" => __('Date', 'asw-framework'),
	);
	return $testimonial_columns;
}
?>