<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Widget_ASW_carousel extends Widget_Base {
	public function get_name() {
		return 'asw-carousel';
	}

	public function get_title() {
		return __( 'Images carousel', 'wythe-elements' );
	}

	public function get_icon() {
		return 'eicon-slider-push';
	}

	public function get_categories() {
		return [ 'asw-elements' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_carousel_items',
			[
				'label' => esc_html__( 'Images carousel', 'wythe-elements' ),
			]
		);
		$this->add_control(
			'asw_carousel_items',
			[
				'label' => __( 'Add Images', 'wythe-elements' ),
				'type' => Controls_Manager::GALLERY,
				'default' => [],
			]
		);
		$this->end_controls_section();

		$this->start_controls_section(
			'carousel_style',
			[
				'label' => __( 'Carousel style', 'wythe-elements' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);

		$this->add_control(
			'navigation_color',
			[
				'label' => __( 'Navigation Color', 'wythe-elements' ),
				'type' => Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .owl-gallery .owl-nav div' => 'color: {{VALUE}};',
					'{{WRAPPER}} .project-num-slides' => 'color: {{VALUE}};',
				],
			]
		);
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings();
		if ( empty( $settings['asw_carousel_items'] ) ) {
			return;
		}
		?>
		<div class="project-slider">
			<?php foreach ( $settings['asw_carousel_items'] as $index => $attachment ) : ?>
				<div class="item">
					<?php
					$image_set = wp_get_attachment_image( $attachment['id'], 'full', false );
					echo $image_set;
					?>
				</div>
				<?php
			endforeach;
			?>
		</div>
		<div class="project-num-slides">1/4</div>
		<?php
	}
}
?>