<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
class Widget_ASW_palette_block extends Widget_Base {
	public function get_name() {
		return 'asw-palette-block';
	}
	public function get_title() {
		return __( 'Palette', 'wythe-elements' );
	}
	public function get_icon() {
		// Icon name from the Elementor font file, as per http://dtbaker.net/web-development/creating-your-own-custom-elementor-widgets/
		return 'fa fa-paint-brush';
	}
	public function get_categories() {
		return [ 'asw-elements' ];
	}
	protected function _register_controls() {
		$this->start_controls_section(
			'asw_palette_colors',
			[
				'label' => __( 'Palette', 'wythe-elements' ),
			]
		);
		$this->add_control(
			'palette_list',
			[
				'label' => __( 'Palette colors', 'wythe-elements' ),
				'type' => Controls_Manager::REPEATER,
				'default' => [
					[
						'palette_color' => '#b5c3d1',
						'title' => '#b5c3d1'
					],
					[
						'palette_color' => '#7ca8b6',
						'title' => '#7ca8b6'
					],
					[
						'palette_color' => '#7bb0ab',
						'title' => '#7bb0ab'
					],
				],
				'fields' => [
					[
						'name' => 'palette_color',
						'label' => __( 'Color', 'wythe-elements' ),
						'type' => Controls_Manager::COLOR,
					],
					[
						'name' => 'title',
						'label' => __( 'Enter title', 'wythe-elements' ),
						'type' => Controls_Manager::TEXT,
						'default' => ''
					],
				],
				'title_field' => '<span style="display:inline-block; width:16px; height:16px; background-color:{{ palette_color }}"></span> {{ title }}',
			]
		);
		$this->end_controls_section();
	}
	protected function render() {
		$settings = $this->get_settings();

		$out = '<div class="palette-blocks-wrapper">';
		foreach ( $settings['palette_list'] as $index => $item ) {
			$out .= '<div class="palette-block">
						<div class="color-block" style="background:'.$item['palette_color'].';"></div>
						<span class="color-text">'.esc_html($item['title']).'</span>
					</div>';
		}
		$out.='</div>';

		echo $out;
	}
	protected function content_template() {}
}
?>