<?php

$timebeforerevote = 1;
add_action('wp_enqueue_scripts', 'post_like_scripts');

add_action('wp_ajax_nopriv_post-like', 'post_like');
add_action('wp_ajax_post-like', 'post_like');


function post_like_scripts(){
	wp_register_script('like_post', trailingslashit( WYTHE_PLUGIN_URL ).'inc/post-like/post-like.js', array('jquery'), '1.0', TRUE );
	wp_localize_script('like_post', 'ajax_var', array(
		'url' => admin_url('admin-ajax.php'),
		'nonce' => wp_create_nonce('ajax-nonce')
	));
}

function post_like()
{
	wp_enqueue_script('like_post');
	$nonce = $_POST['nonce'];
 
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'Busted!');
		
	if(isset($_POST['post_like']))
	{
		$ip = $_SERVER['REMOTE_ADDR'];
		$post_id = $_POST['post_id'];
		$meta_IP = array();
		$meta_IP = get_post_meta($post_id, "voted_IP");

		$voted_IP = $meta_IP;

		if(!is_array($voted_IP))
			$voted_IP = array();
		
		$meta_count = get_post_meta($post_id, "votes_count", true);

		if(!hasAlreadyVoted($post_id))
		{
			$voted_IP[$ip] = time();

			update_post_meta($post_id, "voted_IP", $voted_IP);
			update_post_meta($post_id, "votes_count", ++$meta_count);
			
			echo $meta_count;
		}
		else
			echo esc_html__("already",'wythe');
	}
	exit;
}

function hasAlreadyVoted($post_id)
{
	global $timebeforerevote;

	$meta_IP = get_post_meta($post_id, "voted_IP");
	if(isset($meta_IP[0])) {$voted_IP = $meta_IP[0];} else {$voted_IP=0;}
	if(!is_array($voted_IP))
		$voted_IP = array();
	$ip = $_SERVER['REMOTE_ADDR'];
	
	if(in_array($ip, array_keys($voted_IP)))
	{
		if ( isset($voted_IP[$ip]) ) {
			$time = $voted_IP[$ip];
			$now = time();
		}
		return true;
	}
	
	return false;
}

function getPostLikeLink($post_id)
{
	wp_enqueue_script('like_post');
	$vote_count = get_post_meta($post_id, "votes_count", true);
	$output = '<div class="portfolio-like">';
	if(hasAlreadyVoted($post_id))
		$output .= ' <span title="'.esc_html__('Already liked', 'wythe').'" class="qtip like alreadyvoted"><i class="ion-ios-heart-outline"></i></span>';
	else
		$output .= '<a href="#" data-post_id="'.$post_id.'">
					<span  title="'.esc_html__('I like this', 'wythe').'"class="qtip like"><i class="ion-ios-heart-outline"></i></span>
				</a>';

	if($vote_count > 1) {
		$output .= '<div class="count">'.$vote_count.'</div>';
	} else if($vote_count == 1) {
		$output .= '<div class="count">'.$vote_count.'</div>';
	} else {
		$output .= '<div class="count">0</div>';
	}
	$output .='</div>';
	
	return $output;
}

function getPostLikeCount($post_id)
{
	wp_enqueue_script('like_post');
	$vote_count = get_post_meta($post_id, "votes_count", true);
	$output = '';
	if(hasAlreadyVoted($post_id))
		$output .= ' <span title="'.esc_html__('Already liked', 'wythe').'" class="qtip like alreadyvoted"><i class="ion-ios-heart-outline"></i></span>';
	else
		$output .= '<a href="#" data-post_id="'.$post_id.'">
					<span  title="'.esc_html__('I like this', 'wythe').'"class="qtip like"><i class="ion-ios-heart-outline"></i></span>
				</a>';

	if($vote_count > 1) {
		$output .= '<div class="count">'.$vote_count.'</div>';
	} else if($vote_count == 1) {
		$output .= '<div class="count">'.$vote_count.'</div>';
	} else {
		$output .= '<div class="count">0</div>';
	}
	
	return $output;
}