<?php
if( !function_exists('WythePostSlider') ){
	function WythePostSlider($atts, $content = null){
		wp_enqueue_script('owl.carousel');
		wp_enqueue_style( 'owl.carousel' );
	    extract(shortcode_atts(array(
	    	'slideshow' => true,
	      	'number_posts' => '3',
	      	'orderby' => 'date',
	      	'order' => 'DESC',
	      	'thumbsize' => 'large',
	      	'cat_slug' => '',
	      	'post_ids' => '',
	      	'style' => '',
	      	'slider_width' => 'standard'
	    ), $atts));

	    global $post;
		if ( is_front_page() ) {
			$paged = (get_query_var('page')) ? get_query_var('page') : 1;
		} else {
			$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		}
		if($post_ids != ''){
			$post_ids = str_replace(' ', '', $post_ids);
			$post_ids = explode(',', $post_ids);
		} else {
			$post_ids = array();
		}
		$args = array(
			'post_type' => 'post',
			'posts_per_page' => $number_posts,
			'post__in' => $post_ids,
			'paged' => $paged,
			'order'          => $order,
			'orderby'        => $orderby,
			'post_status'    => 'publish',
			'ignore_sticky_posts' => true,
			'meta_query' => array(
		        array(
		         'key' => '_thumbnail_id',
		         'compare' => 'EXISTS'
		        ),
		    )
		);

		if($cat_slug != '' && $cat_slug != 'all'){
			$str = $cat_slug;
			$arr = explode(',', $str);	  
			$args['tax_query'][] = array(
			  'taxonomy'  => 'category',
			  'field'   => 'slug',
			  'terms'   => $arr
			);
		}
		if( $style == 'center' ){
			$center = 'true';
			$items = '2';
			$centerClass = 'post-slider-center';
		} elseif ($style == 'three_per_row') {
			$center = 'false';
			$items = '3';
			$centerClass = 'slider-three-per-row';
		} else {
			$center = 'false';
			$items = '1';
			$centerClass = '';
		}
		static $slider_id = 0;
		$out = '';
		query_posts( $args );
		if( have_posts() ) {
			$out .= '<script>jQuery(document).ready(function($){
				"use strict";
				var owl = $("#post-slider-'.++$slider_id.'").owlCarousel(
			    {
			        items: '.$items.',
			        center: '.$center.',
			        margin: 10,
			        dots: false,
			        animateOut: "fadeOut",
			        animateIn: "fadeIn",
			        nav: true,
			        navText: [\'<i class="icon-arrows-left"></i>\',\'<i class="icon-arrows-right"></i>\'],
			        autoplay: '.$slideshow.',
			        responsiveClass:true,
			        loop: '.$center.',
			        smartSpeed: 450,
			        autoHeight: true,
			        autoWidth:'.$center.',
			        themeClass: "owl-post-slider",';
			    if($style == 'three_per_row'){
			    	$out .= 'responsive:{
			            0:{
			                items:1,
			            },
			            782:{
			                items:2,
			            },
			            960:{
			                items:3
			            }
			        }';
			    }
			    $out .= '});
				owl.on(\'resized.owl.carousel\', function(event) {
				    var $this = $(this);
				    $this.find(\'.owl-height\').css(\'height\', $this.find(\'.owl-item.active\').height() );
				});
			});</script>';
			$out .= '<div id="post-slider-'.$slider_id.'" class="owl-carousel post-slider '.$centerClass.' '.$slider_width.'">';
			while ( have_posts() ) {
				the_post();
				$out .= '<div class="post-slider-item">';
					if( has_post_thumbnail() ) {
						$out .= '<figure class="post-img"><a href="'.esc_url(get_the_permalink()).'" rel="bookmark">'.get_the_post_thumbnail($post->ID, $thumbsize).'</a></figure>';
					}
					$out .= '<div class="post-more">';
						$out .= '<div class="meta-categories">'.get_the_category_list(', ').'</div>';
						$out .= '<h3>'.esc_attr(get_the_title()).'</h3>';
						$out .= '<a href="'.esc_url(get_the_permalink()).'" class="post-more-link" title="'.esc_html__('Permalink to', 'wythe-elements').' '.esc_attr(the_title_attribute('echo=0')).'" rel="bookmark">'.esc_html__('Read more', 'wythe-elements').'</a>';
					$out .= '</div>';
				$out .= '</div>';
			}
			$out .= '</div>';
		}
		wp_reset_query();
		return $out;
	}
	add_shortcode('post_slider', 'WythePostSlider');
}
if( !function_exists('WytheBlogPosts') ){
	function WytheBlogPosts($atts, $content = null){
	    extract(shortcode_atts(array(
	      	'number_posts' => '4',
	      	'order' => 'DESC',
		    'columns_count'  => 'cols-4',
		    'blog_style'	 => 'standard',
		    'blog_overlay_color' => '',
		    'cat_slug' => '',
		    'tag_slug' => ''
	    ), $atts));

		global $post;
		if ( is_front_page() ) {
			$paged = (get_query_var('page')) ? get_query_var('page') : 1;
		} else {
			$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		}

		$args = array(
		    'post_type' => 'post',
		    'posts_per_page' => $number_posts,
		    'paged' => $paged,
		    'order'          => $order,
		    'orderby'        => 'date',
		    'post_status'    => 'publish'
		);
		if($cat_slug != ''){
			// string to array
			$cat_slug = trim($cat_slug);
			$arr = explode(',', $cat_slug);
			$args['tax_query'][] = array(
				'taxonomy'  => 'category',
				'field'   => 'name',
				'terms'   => $arr
			);
		}
		if($tag_slug != ''){
			// string to array
			$tag_slug = trim($tag_slug);
			$arr = explode(',', $tag_slug);
			$args['tax_query'][] = array(
				'taxonomy'  => 'post_tag',
				'field'   => 'name',
				'terms'   => $arr
			);
		}
		query_posts( $args );
		$out = '';
		if($blog_overlay_color != ''){
			$overlay_style = 'background-color:'.$blog_overlay_color.';"';
		} else {
			$overlay_style = '';
		}
		if( have_posts() ) {
			$out .= '<div class="blog-grid '.$columns_count.'">';
			while ( have_posts() ) {
				the_post();
				$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
				$out .= '<div class="blog-item '.$blog_style.'" data-scrolled-into-view><!-- start blog post item -->';
					$out .= '<figure class="post-img"><img src="'.$thumbnail[0].'" width="'.$thumbnail[1].'" height="'.$thumbnail[2].'" alt="'.get_the_title().'"><div class="overlay-img" '.$overlay_style.'></div></figure>';
					$terms = get_the_category();
					if ( ! empty($terms) ) {
						$terms_out = array();
						$out .= '<div class="meta-categories">';
						$i = 1;
						foreach ( $terms as $term ){
							$terms_out[] = '<a href="' .get_category_link( $term->term_id ) .'">'.$term->name.'</a>';
							if (++$i == 3) break;
						}
							
						$out .= join( ', ', $terms_out );
						$out .= '</div><!-- post categories -->';
					}
					$out .= '<h3 class="blog-item-title"><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
					$out .= '<a href="'.get_permalink().'" class="blog-item-more">'.__('Read more', 'wythe-elements').'</a>';
				$out .= '</div><!-- end blog post item -->';
			}

			$out .= '</div>';
		}
		wp_reset_query();
		return $out;
	}
	add_shortcode('asw_blogposts', 'WytheBlogPosts');
}
if(!function_exists('WytheTitleBlock')){
	function WytheTitleBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'subtitle' => 'Enter subtitle',
				'title' => 'Enter your title'
			), $atts));
		$asw_title = ! empty( $title ) ? '<h2>'.esc_html($title).'</h2>' : '';
		$asw_subtitle = ! empty( $subtitle ) ? '<span class="subtitle">'.esc_html($subtitle).'</span>' : '';
		$out = '';
		$out .= '<div class="title-block"><!-- start title block -->';
			$out .= $asw_subtitle;
			$out .= $asw_title;
		$out .= '</div>';
		return $out;
	}
	add_shortcode('asw_titleblock', 'WytheTitleBlock');
}
if(!function_exists('WytheInfoBlock')){
	function WytheInfoBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'subtitle' => 'Enter subtitle',
				'title' => 'Enter your title',
				'text' => 'Enter your text',
				'button_text' => 'Showreel',
				'button_link' => 'http://player.vimeo.com/video/99647025',
				'button_icon' => 'fa fa-play',
				'show_button' => 'false',
				'block_color' => ''
			), $atts));
		$asw_title = ! empty( $title ) ? '<h2>'.esc_html($title).'</h2>' : '';
		$button = sprintf( '<a href="%1$s" class="custom-button fa %3$s" data-rel="lightcase"><span>%2$s</span></a>', $button_link, esc_html($button_text), $button_icon );
		$style_color = ! empty( $block_color ) ? 'style="color:'.$block_color.';"' : '';
		$asw_subtitle = ! empty( $subtitle ) ? '<span class="subtitle" '.$style_color.'>'.esc_html($subtitle).'</span>' : '';
		$out = '';
		$out .= '<div class="info-block" '.$style_color.'>';
			if( $asw_title != '' || $asw_subtitle != '' ){
				$out .= '<div class="title-block" '.$style_color.'>';
					$out .= $asw_subtitle;
					$out .= $asw_title;
				$out .= '</div>';
			}
			$out .= '<div class="text">'.esc_html($text).'</div>';
		$out .= '</div>';
		if( $show_button == 'true' ) $out .= $button;
		return $out;
	}
	add_shortcode('asw_infoblock', 'WytheInfoBlock');
}
if(!function_exists('WytheServiceBlock')){
	function WytheServiceBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'title' => 'Enter your title',
				'icon' => '',
				'text' => 'Enter your text',
				'url' => ''
			), $atts));
		$url = vc_build_link($url);
		$title_tmp = ! empty( $url ) ? '<h4 class="service-title"><a href="'.esc_url($url['url']).'" target="'.$url['target'].'" title="'.$url['title'].'" rel="'.$url['rel'].'">'.$title.'</a></h4>' : '<h4 class="service-title">'.esc_html($title).'</h4>';
		$icon = ! empty( $icon ) ? '<div class="icon-box"><i class="'.$icon.'"></i></div>' : '';
		$out = '';
		$out .= '<div class="service-block"><!-- start service item -->';
			$out .= $icon;
			if( $title != '' ){
				$out .= $title_tmp;
			}
			$out .= '<div class="text">'.esc_html($text).'</div>';
		$out .= '</div>';
		return $out;
	}
	add_shortcode('asw_service', 'WytheServiceBlock');
}
if(!function_exists('WytheTestimonialsBlock')){
	function WytheTestimonialsBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'post_count' => '3',
			), $atts));
		$out = '';
		$args = array( 
				'posts_per_page' => $post_count,
				'post_type' => 'testi' 
			);
		$out .= '<div class="testimonials">';
			$recent_posts = wp_get_recent_posts( $args );
			foreach( $recent_posts as $recent ){
				$out .= '<div class="testimonials-item">' .esc_html( $recent["post_content"] ). '</div>';
			}
			wp_reset_query();
		$out .= '</div>';
		return $out;
	}
	add_shortcode('asw_testimonials', 'WytheTestimonialsBlock');
}
if(!function_exists('WytheClientsBlock')){
	function WytheClientsBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'images' => '',
				'custom_links' => '',
				'target' => '_blank'
			), $atts));
		$out = '';
		if(!empty($images)){
			$out .= '<ul class="clients-logo">';
			$images = explode( ',', $images );
      		$custom_links = explode( ',', trim($custom_links) );
      		$i = 0;
      		$c_items = array();
      		foreach ($images as $image_id) {
	            if(!empty($custom_links) && isset( $custom_links[$i] ) && $custom_links[$i] != ''){
	              $c_items[] = '<li><a href="'.$custom_links[$i++].'" target="'.$target.'">'.wp_get_attachment_image( $image_id, 'full' ).'</a>'.'</li>';
	            } else {
	              $c_items[] = '<li>'.wp_get_attachment_image( $image_id, 'full' ).'</li>';
	            }
	    	}
	    	$out .= implode( "\n", $c_items );
	    	$out .= '</ul>';
	    	$out = wpautop($out, false);
		}
		return $out;
	}
	add_shortcode('asw_clients', 'WytheClientsBlock');
}
if( !function_exists('WythePortfolio') ){
	function WythePortfolio($atts, $content = null){
	    extract(shortcode_atts(array(
	      	'number_posts' => '7',
	      	'cat_slug' => '',
	      	'order' => 'DESC',
	      	'show_button' => 'true'
	    ), $atts));

	    global $post;
	    global $paged;
		if ( is_front_page() ) {
			$paged = (get_query_var('page')) ? get_query_var('page') : 1;
		} else {
			$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
		}
		$args = array(
		    'post_type' => 'portfolio',
		    'posts_per_page' => $number_posts,
		    'paged' => $paged,
		    'order'          => $order,
		    'orderby'        => 'date',
		    'post_status'    => 'publish'
		);
		if($cat_slug != ''){
			// string to array
			$cat_slug = trim($cat_slug);
			$arr = explode(',', $cat_slug);
			$args['tax_query'][] = array(
				'taxonomy'  => 'category',
				'field'   => 'name',
				'terms'   => $arr
			);
		}
		query_posts( $args );
		$out = '';
		if( have_posts() ) {
			$out .= '<div class="row portfolio-container five-per-row">';
			while ( have_posts() ) {
				the_post();
				$item_style = null !== get_post_meta( get_the_ID(), 'asw_portfolio_title_color', true ) ?  get_post_meta( get_the_ID(), 'asw_portfolio_title_color', true ) : '';
				$item_width = null !== get_post_meta( get_the_ID(), 'asw_portfolio_width', true ) ?  get_post_meta( get_the_ID(), 'asw_portfolio_width', true ) : '';
				$portfolio_thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
				$out .= '<div class="portfolio-item '.$item_style.' '.$item_width.'"><!-- start portfolio item -->';
					$out .= '<div class="portfolio-meta"><!-- start portfolio meta -->';
						if(function_exists('getPostLikeLink')) { $out .= getPostLikeLink($post->ID); }
						$out .= '<div class="time">'.get_the_date( 'd.m.Y' ).'</div>';
						$out .= '<a href="'. get_permalink() .'" class="portfolio-item-more"><i class="ion-ios-arrow-right"></i></a>';
					$out .= '</div><!-- end portfolio meta -->';
					$out .= '<header class="portfolio-header"><!-- start portfolio header -->';
						$out .= '<div class="portfolio-item-title">';
							$terms = get_the_terms( $post->ID, 'portfolio_filter' );
							if ( $terms && !is_wp_error( $terms ) ) {
								$terms_out = array();
								$out .= '<div class="meta-categories">';
								foreach ( $terms as $term )
									$terms_out[] = '<a href="' .get_term_link($term->slug, 'portfolio_filter') .'">'.$term->name.'</a>';
								$out.= join( ', ', $terms_out );
								$out .= '</div><!-- portfolio categories -->';
							}
							$out .= '<h3>'. get_the_title() .'</h3> <!-- portfolio title -->';
						$out .= '</div>';
						$out .= '<a href="'. get_permalink() .'" title="'. get_the_title() .'">';
							$out .= '<figure class="portfolio-img"><img class="featured-image" src="'.$portfolio_thumbnail[0].'" width="'.$portfolio_thumbnail[1].'" height="'.$portfolio_thumbnail[2].'" alt="'. get_the_title() .'"/></figure><!-- portfolio featured image -->';
						$out .= '</a>';
					$out .= '</header><!-- end portfolio header -->';
				$out .= '</div><!-- end portfolio item -->';
			}
				if( $show_button == 'true' ){
					$out .= '<div class="portfolio-item portfolio-more-items" data-scrolled-into-view>';
						$out .= '<a href="#" class="load-more active"><span data-the-end="'.esc_html__('THE END', 'wythe-elements').'">'.esc_html__('MORE', 'wythe-elements').'</span></a><!-- portfolio load-more button -->';
					$out .= '<div style="display:none;">'.get_next_posts_link().'</div>';
					$out .= '</div>';
				}

			$out .= '</div>';
		}
		wp_reset_query();
		
		return $out;
	}
	add_shortcode('asw_portfolio', 'WythePortfolio');
}
if(!function_exists('WytheCTABlock')){
	function WytheCTABlock($atts, $content = null){
		extract(shortcode_atts(array(
				'text' => 'Enter your text',
				'button_text' => 'Get started',
				'url' => ''
			), $atts));
		$url = vc_build_link($url);
		$button_tmp = ! empty( $url ) ? '<a href="'.esc_url($url['url']).'" class="button" target="'.$url['target'].'" title="'.$url['title'].'" rel="'.$url['rel'].'"><span>'.esc_html($button_text).'</span></a>' : '';
		$out = '';

		$out .= '<div class="cta-block">';
			$out .= '<div class="cta-text">'.esc_html($text).'</div>';
			$out .= '<div class="cta-button">'.$button_tmp.'</div>';
		$out .= '</div>';

		return $out;
	}
	add_shortcode('asw_cta', 'WytheCTABlock');
}
if(!function_exists('WytheMemberBlock')){
	function WytheMemberBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'image' => '',
				'name' => 'Enter name',
				'position' => 'Enter position',
				'twitter_link' => '',
				'dribbble_link' => '',
				'instagram_link' => '',
			), $atts));
		$out = '';

		$out .= '<div class="team-member">';
			$out .= '<div class="member-info">';
					$out .= '<div class="dtable">';
						$out .= '<div class="dtcell">';
							$out .= '<h3 class="member-name"><span>'.esc_html( $name ).'</span></h3><!-- team member name -->';
							$out .= '<span class="member-position"><span>'.esc_html( $position ).'</span></span><!-- team member position -->';
						$out .= '<ul class="member-socials"><!-- start member social icons -->';
							if( $twitter_link != '')  $out .= '<li><a href="'.esc_url($twitter_link).'"><i class="fa fa-twitter"></i></a></li>';
							if( $dribbble_link != '')  $out .= '<li><a href="'.esc_url($dribbble_link).'"><i class="fa fa-dribbble"></i></a></li>';
							if( $instagram_link != '')  $out .= '<li><a href="'.esc_url($instagram_link).'"><i class="fa fa-instagram"></i></a></li>';
						$out .= '</ul><!-- end member social icons -->';
					$out .= '</div><!-- end div .dtcell -->';
				$out .= '</div><!-- end div .dttable -->';
			$out .= '</div><!-- end div .member-info -->';
			if( ! empty($image) ) $out .= '<figure class="member-img">'.wp_get_attachment_image( $image, 'wythe-480x500' ).'</figure>';
		$out .= '</div>';

		return $out;
	}
	add_shortcode('asw_member', 'WytheMemberBlock');
}
if(!function_exists('WytheSocials')){
	function WytheSocials( $atts, $content = null) {
	extract( shortcode_atts( array(
        'twitter'   => '',
        'forrst'  => '',
        'dribbble'  => '',
        'flickr'    => '',
        'facebook'  => '',
        'skype'   => '',
        'digg'  => '',
        'google_plus'  => '',
        'linkedin'  => '',
        'vimeo'  => '',
        'instagram' => '',
        'yahoo'  => '',
        'tumblr'  => '',
        'youtube'  => '',
        'picasa'  => '',
        'deviantart'  => '',
        'behance'  => '',
        'pinterest'  => '',
        'paypal'  => '',
        'delicious'  => '',
        'rss'  => ''
        ), $atts ) );

        $out = '<ul class="socials">';
		foreach ($atts as $key => $value) {
			switch ($key) {
				case 'twitter':
					if($twitter != "") {
					  $out .= '<li class="twitter"><a href="'.esc_url($twitter).'" class="special-hover" target="_blank" title="'.esc_html__( 'Twitter', 'wythe-elements').'"><i class="fa fa-twitter"></i><div>'.esc_html__( 'Twitter', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'facebook':
					if($facebook != "") {
					  $out .= '<li class="facebook"><a href="'.esc_url($facebook).'" class="special-hover" target="_blank" title="'.esc_html__( 'Facebook', 'wythe-elements').'"><i class="fa fa-facebook"></i><div>'.esc_html__( 'Facebook', 'wythe-elements').'</div></a></li>';
					}
				case 'forrst':
					if($forrst != "") {
					  $out .= '<li class="forrst"><a href="'.esc_url($forrst).'" class="special-hover" target="_blank" title="'.esc_html__( 'Forrst', 'wythe-elements').'"><i class="fa icon-forrst"></i><div>'.esc_html__( 'Forrst', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'yahoo':
					if($yahoo != "") {
					  $out .= '<li class="yahoo"><a href="'.esc_url($yahoo).'" class="special-hover" target="_blank" title="'.esc_html__( 'Yahoo', 'wythe-elements').'"><i class="fa fa-yahoo"></i><div>'.esc_html__( 'Yahoo', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'vimeo':
					if($vimeo != "") {
					  $out .= '<li class="vimeo"><a href="'.esc_url($vimeo).'" class="special-hover" target="_blank" title="'.esc_html__( 'Vimeo', 'wythe-elements').'"><i class="fa fa-vimeo-square"></i><div>'.esc_html__( 'Vimeo', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'linkedin':
					if($linkedin != "") {
					  $out .= '<li class="linkedin"><a href="'.esc_url($linkedin).'" class="special-hover" target="_blank" title="'.esc_html__( 'LinkedIn', 'wythe-elements').'"><i class="fa fa-linkedin"></i><div>'.esc_html__( 'LinkedIn', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'google_plus':
					if($google_plus != "") {
						$out .= '<li class="googleplus"><a href="'.esc_url($google_plus).'" class="special-hover" target="_blank" title="'.esc_html__( 'Google plus', 'wythe-elements').'"><i class="fa fa-google-plus"></i><div>'.esc_html__( 'Google+', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'instagram':
					if($instagram != '') {
						$out .= '<li class="instagram"><a href="' .esc_url($instagram). '" class="special-hover" target="_blank" title="'.esc_html__( 'Instagram', 'wythe-elements').'"><i class="fa fa-instagram"></i><div>'.esc_html__( 'Instagram', 'wythe-elements').'</div></a></li>';
					}
					break;  
				case 'digg':
					if($digg != "") {
						$out .= '<li class="digg"><a href="'.esc_url($digg).'" target="_blank" class="special-hover" title="'.esc_html__( 'Digg', 'wythe-elements').'"><i class="fa fa-digg"></i><div>'.esc_html__( 'Digg', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'skype':
					if($skype != "") {
						$out .= '<li class="skype"><a href="skype:'.$skype.'?call" class="special-hover" title="'.esc_html__( 'Skype', 'wythe-elements').'"><i class="fa fa-skype"></i><div>'.esc_html__( 'Skype', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'flickr':
					if($flickr != "") { 
						$out .= '<li class="flickr"><a href="'.esc_url($flickr).'" class="special-hover" target="_blank" title="'.esc_html__( 'Flickr', 'wythe-elements').'"><i class="fa fa-flickr"></i><div>'.esc_html__( 'Flickr', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'dribbble':
					if($dribbble != "") {
						$out .= '<li class="dribbble"><a href="'.esc_url($dribbble).'" class="special-hover" target="_blank" title="'.esc_html__( 'Dribbble', 'wythe-elements').'"><i class="fa fa-dribbble"></i><div>'.esc_html__( 'Dribbble', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'tumblr':
					if($tumblr != "") {
						$out .= '<li class="tumblr"><a href="'.esc_url($tumblr).'" class="special-hover" target="_blank" title="'.esc_html__( 'Tumblr', 'wythe-elements').'"><i class="fa fa-tumblr"></i><div>'.esc_html__( 'Tumblr', 'wythe-elements').'</div></a></li>';
					}
				break;
				case 'youtube':
					if($youtube != "") {
						$out .= '<li class="youtube"><a href="'.esc_url($youtube).'" class="special-hover" target="_blank" title="'.esc_html__( 'YouTube', 'wythe-elements').'"><i class="fa fa-youtube"></i><div>'.esc_html__( 'YouTube', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'picasa':
					if($picasa != "") {
						$out .= '<li class="picasa"><a href="'.esc_url($picasa).'" class="special-hover" target="_blank" title="'.esc_html__( 'Picasa', 'wythe-elements').'"><i class="fa fa-picasa"></i><div>'.esc_html__( 'Picasa', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'deviantart':
					if($deviantart != "") {
						$out .= '<li class="deviantart"><a href="'.esc_url($deviantart).'" class="special-hover" target="_blank" title="'.esc_html__( 'DeviantArt', 'wythe-elements').'"><i class="fa fa-deviantart"></i><div>'.esc_html__( 'DeviantArt', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'behance':
					if($behance != "") {
						$out .= '<li class="behance"><a href="'.esc_url($behance).'" class="special-hover" target="_blank" title="'.esc_html__( 'Behance', 'wythe-elements').'"><i class="fa fa-behance"></i><div>'.esc_html__( 'Behance', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'pinterest':
					if($pinterest != "") {
						$out .= '<li class="pinterest"><a href="'.esc_url($pinterest).'" class="special-hover" target="_blank" title="'.esc_html__( 'Pinterest', 'wythe-elements').'"><i class="fa fa-pinterest-p"></i><div>'.esc_html__( 'Pinterest', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'paypal':
					if($paypal != "") {
						$out .= '<li class="paypal"><a href="'.esc_url($paypal).'" class="special-hover" target="_blank" title="'.esc_html__( 'PayPal', 'wythe-elements').'"><i class="fa fa-paypal"></i><div>'.esc_html__( 'PayPal', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'delicious':
					if($delicious != "") {
						$out .= '<li class="delicious"><a href="'.esc_url($delicious).'" class="special-hover" target="_blank" title="'.esc_html__( 'Delicious', 'wythe-elements').'"><i class="fa fa-delicious"></i><div>'.esc_html__( 'Delicious', 'wythe-elements').'</div></a></li>';
					}
					break;
				case 'rss':
				    if($rss != "") {
				      $out .= '<li class="rss"><a href="'.esc_url($rss).'" class="special-hover" target="_blank" title="'.esc_html__( 'RSS', 'wythe-elements').'"><i class="fa fa-rss"></i><div>'.esc_html__( 'RSS', 'wythe-elements').'</div></a></li>';
				    }
				    break;
				default:
				# code...
				break;
			}
		}
		$out .= '</ul>';
        return $out;
	}
	add_shortcode('asw_socials', 'WytheSocials');
}
if(!function_exists('WytheContactBlock')){
	function WytheContactBlock($atts, $content = null) {
		extract( shortcode_atts( array(
	        'address' => 'West Village, NY, USA',
	        'image' => '',
	        'contact_form' => ''
        ), $atts ) );

        $address = ! empty( $address ) ? esc_html($address) : 'West Village, NY, USA';
		$image = !empty($image) ? wp_get_attachment_image_src( $image, 'full' ) : '';
		$image = $image[0];
		$out = '';
		if(class_exists('WPCF7')){
			$args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
			$cf7 = array();
			if( $data = get_posts($args)){
			    foreach($data as $key){
			        $cf7[$key->ID] = $key->post_title;
			    }
			} else {
			    $cf7[0] = esc_html__('No Contact Form found', 'wythe-elements');
			}
			$form_id = ! empty( $contact_form ) ? $contact_form : '';
			$form = '[contact-form-7 id="'.$contact_form.'" title="'.$cf7[$contact_form].'"]';
			wp_reset_postdata();
		} else {
			$form = esc_html__('Contact from 7 plugin is required to have form.');
		}
        $out .= '<div class="map-form-block dtable">';
			$out .= '<div class="map-block dtcell">';
				$out .= '<div id="map"></div><!-- contact map -->';
			$out .= '</div>';
			$out .= '<div class="form-block dtcell">';
				$out .= $form;
			$out .= '</div><!-- end div .form-block -->';
		$out .= '</div><!-- end div .map-form-block -->';
		$out .= '<script type="text/javascript">
		var map;
			function initMap() {
			  var styles = [{"featureType":"all","elementType":"labels.text.fill","stylers":[{"saturation":36},{"color":"#000000"},{"lightness":40}]},{"featureType":"all","elementType":"labels.text.stroke","stylers":[{"visibility":"on"},{"color":"#000000"},{"lightness":16}]},{"featureType":"all","elementType":"labels.icon","stylers":[{"visibility":"off"}]},{"featureType":"administrative","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"administrative","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":17},{"weight":1.2}]},{"featureType":"landscape","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":20}]},{"featureType":"poi","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":21}]},{"featureType":"road.highway","elementType":"geometry.fill","stylers":[{"color":"#000000"},{"lightness":17}]},{"featureType":"road.highway","elementType":"geometry.stroke","stylers":[{"color":"#000000"},{"lightness":29},{"weight":0.2}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":18}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":16}]},{"featureType":"transit","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":19}]},{"featureType":"water","elementType":"geometry","stylers":[{"color":"#000000"},{"lightness":17}]}];
			  map = new google.maps.Map(document.getElementById("map"), {
			    center: {
			    	lat: -34.397, 
			    	lng: 150.644
			    },
			    zoom: 15,
			    navigationControl:!1,
			    mapTypeControl:!1,
			    scaleControl:!1,
			    streetViewControl:!1,
			  });
			  map.setOptions({styles: styles});
				var address = "'.$address.'";
				var geocoder = new google.maps.Geocoder();
				var image = "'.esc_url($image).'";
				geocoder.geocode({
				  "address": address
				}, 
				function(results, status) {
				  if(status == google.maps.GeocoderStatus.OK) {
				     new google.maps.Marker({
				        position: results[0].geometry.location,
				        map: map,
				        icon: image
				     });
				     map.setCenter(results[0].geometry.location);
				  }
				});
			}
    	</script>
    	<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBfbDATAIBSQEUY0YzOEjzcB8A1W2FNKSQ&libraries=places,geometry&callback=initMap&v=3.26"></script>';
		return $out;
	}
	add_shortcode('asw_contact', 'WytheContactBlock');
}
if(!function_exists('WytheDropcapBlock')){
	function WytheDropcapBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'letter' => 'H',
				'text' => 'Enter your text',
				'color' => '#8db7c5'
			), $atts));
		$out = '';
		$out .= '<div class="description dtable">';
			$out .= '<div class="dropcap dtcell">'.esc_html($letter).'</div>';
			$out .= '<div class="text dtcell">'.esc_html($text).'</div>';
		$out .= '</div>';
		return $out;
	}
	add_shortcode('asw_dropcap', 'WytheDropcapBlock');
}
// Build the string of values in an Array
function aswGetFontsData( $fontsString ) {   
    // Font data Extraction
    $googleFontsParam = new Vc_Google_Fonts();      
    $fieldSettings = array();
    $fontsData = strlen( $fontsString ) > 0 ? $googleFontsParam->_vc_google_fonts_parse_attributes( $fieldSettings, $fontsString ) : '';
    return $fontsData;
     
}
// Build the inline style starting from the data
function aswGoogleFontsStyles( $fontsData ) {
    // Inline styles
    $fontFamily = explode( ':', $fontsData['values']['font_family'] );
    $styles[] = 'font-family:' . $fontFamily[0];
    $fontStyles = explode( ':', $fontsData['values']['font_style'] );
    $styles[] = 'font-weight:' . $fontStyles[1];
    $styles[] = 'font-style:' . $fontStyles[2];
     
    $inline_style = '';     
    foreach( $styles as $attribute ){           
        $inline_style .= $attribute.'; ';       
    }   
     
    return $inline_style;
     
}
// Enqueue right google font from Googleapis
function aswEnqueueGoogleFonts( $fontsData ) {
     
    // Get extra subsets for settings (latin/cyrillic/etc)
    $settings = get_option( 'wpb_js_google_fonts_subsets' );
    if ( is_array( $settings ) && ! empty( $settings ) ) {
        $subsets = '&subset=' . implode( ',', $settings );
    } else {
        $subsets = '';
    }
     
    // We also need to enqueue font from googleapis
    if ( isset( $fontsData['values']['font_family'] ) ) {
        wp_enqueue_style( 
            'vc_google_fonts_' . vc_build_safe_css_class( $fontsData['values']['font_family'] ), 
            '//fonts.googleapis.com/css?family=' . $fontsData['values']['font_family'] . $subsets
        );
    }
     
}
if(!function_exists('WytheFontsBlock')){
	function WytheFontsBlock($atts, $content = null){
		extract(shortcode_atts(array(
				'font_family' => 'Playfair Display',
				'text_example' => '',
				'big_letter_color' => '#7ca8b6'
			), $atts));
		// Build the data array
	    $text_font_data = aswGetFontsData( $font_family );
	    $fontFamily = explode( ':', $text_font_data['values']['font_family'] ); 
	    // Build the inline style
	    $text_font_inline_style = aswGoogleFontsStyles( $text_font_data );          
	    // Enqueue the right font   
	    aswEnqueueGoogleFonts( $text_font_data );
		$out = '';
		$out .= '<div class="font-preview-block" style="'.$text_font_inline_style.'">
			<div class="main-letter" style="color:'.$big_letter_color.'">Aa</div>
			<div class="text-wrap">
				<div class="font-family">'.$fontFamily[0].'</div>
				<div class="example">'.esc_html($text_example).'</div>
			</div>
		</div>';
		return $out;
	}
	add_shortcode('asw_fonts', 'WytheFontsBlock');
}
if(!function_exists('WytheImagesCarousel')){
	function WytheImagesCarousel($atts, $content = null){
		extract(shortcode_atts(array(
				'images' => ''
			), $atts));
		$out = '';
		if(!empty($images)){
			$out .= '<div class="project-slider">';
			$images = explode( ',', $images );
      		foreach ($images as $image_id) {
	            $c_items[] = '<div class="item">'.wp_get_attachment_image( $image_id, 'full' ).'</div>';
	    	}
	    	$out .= implode( "\n", $c_items );
	    	$out .= '</div>';
	    	$out .= '<div class="project-num-slides">1/4</div>';
	    	$out = wpautop($out, false);
		}
		return $out;
	}
	add_shortcode('asw_images_carousel', 'WytheImagesCarousel');
}
if(!function_exists('WythePalette')){
	function WythePalette($atts, $content = null){
		extract(shortcode_atts(array(
				'palettes' => ''
			), $atts));
		$out = '';
		$palette_list = vc_param_group_parse_atts($palettes);
		$out .= '<div class="palette-blocks-wrapper">';
		foreach ( $palette_list as $index => $item ) {
			if(! empty($item['color_title']) ) {
				$title = esc_html($item['color_title']);
			} else {
				$title = $item['color'];
			}
			$out .= '<div class="palette-block">
						<div class="color-block" style="background:'.$item['color'].';"></div>
						<span class="color-text">'.esc_html($title).'</span>
					</div>';
		}
		$out.='</div>';
		return $out;
	}
	add_shortcode('asw_palette', 'WythePalette');
}
if(!function_exists('WytheProjectInfo')){
	function WytheProjectInfo($atts, $content = null){
		extract(shortcode_atts(array(
				'list_layout' => 'items-block',
				'list_title' => '',
				'align' => 'left',
				'project_list' => '',
				'item_color' => '',
				'value_color' => ''
			), $atts));
		$out = '';
		$project_list = vc_param_group_parse_atts($project_list);
		$out .= '<ul class="project-info-list '.esc_attr($list_layout).'" data-scrolled-into-view style="text-align:'.$align.';color:'.$item_color.';">';
				if( !empty($list_title) ) {
					$out.='<li class="title" style="color:'.$value_color.'">'.esc_html( $list_title ).'</li>';
				}
				foreach ( $project_list as $index => $item ) {
					$out .= '<li>';
					if(!empty($item['icon'])) 
						$out .= '<i class="'.$item['icon'].'" style="color:'.$value_color.'"></i>';
					if(!empty($item['item']))
						$out .= esc_html($item['item']);
					$out .= '<span class="sep"></span>';
					if(!empty($item['value']))
						$out .='<strong style="color:'.$value_color.'">'.esc_html($item['value']).'</strong>';
					$out .='</li>';
				}
		$out .= '</ul>';
		return $out;
	}
	add_shortcode('asw_project_info', 'WytheProjectInfo');
}
if(!function_exists('WytheVideo')){
	function WytheVideo($atts, $content = null){
		extract(shortcode_atts(array(
				'video_formats' => '',
				'height' => '675px',
				'placeholder' => '',
			), $atts));
		$out = '';
		$video_formats = vc_param_group_parse_atts($video_formats);
		$placeholder_tmp = wp_get_attachment_image_src($placeholder, 'full');
		$placeholder = $placeholder_tmp[0];
		$out .= '<div class="video">
					<video width="100%" height="'.esc_attr($height).'" poster="'.esc_html( $placeholder ).'">';
					if(!empty($video_formats)){
						foreach ( $video_formats as $index => $item ) {
							$out .= '<source src="'.esc_html($item['url']).'" type="video/'.esc_attr($item['format']).'">';
						}
					}
					$out .= 'Your browser does not support the video tag.';
				$out .= '</video>';
					$out .= '<a href="#" class="video-play"><i class="fa fa-play"></i></a></div>';
		return $out;
	}
	add_shortcode('asw_video', 'WytheVideo');
}
add_filter( 'widget_text', 'shortcode_unautop', 7);
add_filter( 'widget_text', 'do_shortcode', 7);
add_filter( 'the_content', 'do_shortcode', 120);

// Remove Empty Paragraphs
add_filter("the_content", "the_content_filter");
function the_content_filter($content) {
	// array of custom shortcodes requiring the fix 
	$block = join("|", array('post_slider'));
	$array = array(
		'<p>[' => '[', 
		']</p>' => ']', 
		']<br />' => ']',
		']<br>' => ']',	
		'<br>[' => '[',
		'<p></p>' => '',
		'<p><script' => '<script',
		'<p><style' => '<style',
		'</style></p>' => '</style>',
		'</script><br />' => '</script>',
		'</script></p>' => '</script>'
	);
	$content = strtr($content, $array);
	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]", $content); 
	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]", $rep);
	return $rep;
}
?>