<?php

add_action( 'init', 'wythe_elements_vc_shortcodes' );
function wythe_elements_vc_shortcodes() {
	$imageSizes = get_intermediate_image_sizes();
	$imageSizes[]= 'full';
	vc_map( 
		array(
			"name" => __("Blog Posts", 'wythe-elements'),
			"base" => "asw_blogposts",
			"icon" => 'asw-element-icon dashicons dashicons-admin-post',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show WP posts in grid.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Post count", 'wythe-elements'),
					"param_name" => "number_posts",
					"value" => '4',
					'admin_label' => true,
					"description" => __("Enter number of posts to display (Note: Enter '-1' to display all posts).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Categories to display", 'wythe-elements'),
					"param_name" => "cat_slug",
					"value" => '',
					"description" => __("Enter category to display items. Separate categories by commas.", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Tags to display", 'wythe-elements'),
					"param_name" => "tag_slug",
					"value" => '',
					"description" => __("Enter tag to display items. Separate tags by commas.", 'wythe-elements')            
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Items per row", 'wythe-elements'),
					"param_name" => "columns_count",
					"value" => array(
					   __('Two', 'wythe-elements')=>'cols-2', 
					   __('Three', 'wythe-elements')=>'cols-3',
					   __('Four', 'wythe-elements')=>'cols-4',
					   __('Five', 'wythe-elements')=>'cols-5'
					),
					"std" => array('cols-4')
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Sort order", 'wythe-elements'),
					"param_name" => "order",
					"value" => array(
					   __('Descending', 'wythe-elements')=>'DESC', 
					   __('Ascending', 'wythe-elements')=>'ASC'
					),
					"description" => __('Select ascending or descending order.', 'wythe-elements'),
					"std" => array('DESC')
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Blog style", 'wythe-elements'),
					"param_name" => "blog_style",
					"value" => array(
					   __('Standard', 'wythe-elements')=>'blog-standard', 
					   __('Overlay', 'wythe-elements')=>'blog-overlay'
					),
					"std" => array('blog-standard')
				),
				array(
					"type" => "colorpicker",            
					"heading" => __("Overlay Color", 'wythe-elements'),
					"param_name" => "blog_overlay_color",
					"value" => '',           
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Title Block", 'wythe-elements'),
			"base" => "asw_titleblock",
			"icon" => 'asw-element-icon fa fa-text-width',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show title block.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Subtitle", 'wythe-elements'),
					"param_name" => "subtitle",
					"value" => 'Enter subtitle',
					'admin_label' => true,           
				),
				array(
					"type" => "textfield",            
					"heading" => __("Title", 'wythe-elements'),
					"param_name" => "title",
					"value" => 'Enter title',
					'admin_label' => true,           
				)
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Info Block", 'wythe-elements'),
			"base" => "asw_infoblock",
			"icon" => 'asw-element-icon fa fa-info',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show information block.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Subtitle", 'wythe-elements'),
					"param_name" => "subtitle",
					"value" => 'Enter subtitle',
					'admin_label' => true,           
				),
				array(
					"type" => "textfield",            
					"heading" => __("Title", 'wythe-elements'),
					"param_name" => "title",
					"value" => 'Enter title',
					'admin_label' => true,           
				),
				array(
					"type" => "textarea",            
					"heading" => __("Text", 'wythe-elements'),
					"param_name" => "text",
					"value" => 'Enter text',         
				),
				array(
					"type" => "colorpicker",            
					"heading" => __("Block text color", 'wythe-elements'),
					"param_name" => "block_color",
					"value" => '',           
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Show button?", 'wythe-elements'),
					"param_name" => "show_button",
					"value" => array(
					   __('Show', 'wythe-elements')=>'true', 
					   __('Hide', 'wythe-elements')=>'false'
					),
					"std" => array('false')
				),
				array(
					"type" => "textfield",            
					"heading" => __("Button text", 'wythe-elements'),
					"param_name" => "button_text",
					"value" => 'Showreel',  
					'dependency' => array(
						'element' => 'show_button',
						'value' => 'true',
					)         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Button link", 'wythe-elements'),
					"param_name" => "button_link",
					"value" => '',
					'dependency' => array(
						'element' => 'show_button',
						'value' => 'true',
					)            
				),
				array(
					"type" => "iconpicker",            
					"heading" => __("Button Icon", 'wythe-elements'),
					"param_name" => "button_icon",
					"value" => 'fa fa-play', 
					"settings" => array(
						'emptyIcon' => false,
					),
					'dependency' => array(
						'element' => 'show_button',
						'value' => 'true',
					)         
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Service Block", 'wythe-elements'),
			"base" => "asw_service",
			"icon" => 'asw-element-icon dashicons dashicons-admin-tools',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show information block.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Title", 'wythe-elements'),
					"param_name" => "title",
					"value" => 'Enter title',
					'admin_label' => true,           
				),
				array(
					"type" => "iconpicker",            
					"heading" => __("Icon", 'wythe-elements'),
					"param_name" => "icon",
					"value" => 'Select icon', 
					"settings" => array(
						'emptyIcon' => true,
					),        
				),
				array(
					"type" => "textarea",            
					"heading" => __("Text", 'wythe-elements'),
					"param_name" => "text",
					"value" => 'Enter text',         
				),
				array(
					"type" => "vc_link",            
					"heading" => __("Url", 'wythe-elements'),
					"param_name" => "url",          
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Testimonials", 'wythe-elements'),
			"base" => "asw_testimonials",
			"icon" => 'asw-element-icon dashicons dashicons-testimonial',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show testimonials.', 'wythe-elements'),
			'front_enqueue_js' => array(WYTHE_PLUGIN_URL.'js/owl.carousel.min.js'),
			'front_enqueue_css' => array(WYTHE_PLUGIN_URL.'css/owl.carousel.min.css'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Number of items", 'wythe-elements'),
					"param_name" => "post_count",
					"description" => __("Enter your testimonials items count.", 'wythe-elements'),
					"value" => '3',
					'admin_label' => true,           
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Clients", 'wythe-elements'),
			"base" => "asw_clients",
			"icon" => 'asw-element-icon fa fa-users',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show clients logos.', 'wythe-elements'),
			"params" => array(		
				array(
		            'type' => 'attach_images',
		            'heading' => __( 'Clients', 'wythe-elements' ),
		            'param_name' => 'images',
		            'admin_label' => true,
		            'value' => '',
		            'description' => __( 'Select clients images from media library.', 'wythe-elements' )
		        ),
				array(
		            'type' => 'exploded_textarea',
		            'heading' => __( 'Custom links', 'wythe-elements' ),
		            'param_name' => 'custom_links',
		            'description' => __( 'Enter links for each element here. Divide links with linebreaks (Enter).', 'wythe-elements' ),
		         ),
		         array(
		            'type' => 'dropdown',
		            'heading' => __( 'Custom link target', 'wythe-elements' ),
		            'param_name' => 'target',
		            'description' => __( 'Select where to open custom links.', 'wythe-elements' ),
		            'value' => array('_self', '_blank' ),
		            'std' => array('_self')
		         ),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Portfolio", 'wythe-elements'),
			"base" => "asw_portfolio",
			"icon" => 'asw-element-icon dashicons dashicons-portfolio',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show portfolio items.', 'wythe-elements'),
			"params" => array(		
				array(
		            'type' => 'textfield',
		            'heading' => __( 'Number of items', 'wythe-elements' ),
		            'param_name' => 'number_posts',
		            'admin_label' => true,
		            'value' => '7',
		            'description' => __( 'Enter items count per view.', 'wythe-elements' )
		        ),
		        array(
					"type" => "textfield",            
					"heading" => __("Categories to display", 'wythe-elements'),
					"param_name" => "cat_slug",
					"value" => '',
					"description" => __("Enter category to display items. Separate categories by commas.", 'wythe-elements')            
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Sort order", 'wythe-elements'),
					"param_name" => "order",
					"value" => array(
					   __('Descending', 'wythe-elements')=>'DESC', 
					   __('Ascending', 'wythe-elements')=>'ASC'
					),
					"description" => __('Select ascending or descending order.', 'wythe-elements'),
					"std" => array('ASC')
				),
				array(
					"type" => "dropdown",            
					"heading" => __("Show more button?", 'wythe-elements'),
					"param_name" => "show_button",
					"value" => array(
					   __('Show', 'wythe-elements')=>'true', 
					   __('Hide', 'wythe-elements')=>'false'
					),
					"std" => array('true')
				)
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Call To Action", 'wythe-elements'),
			"base" => "asw_cta",
			"icon" => 'asw-element-icon dashicons dashicons-megaphone',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Help manage Calls to action on a site.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textarea",            
					"heading" => __("Text", 'wythe-elements'),
					"param_name" => "text",
					"value" => 'Enter text',
					'description' => __('Call to action text.', 'wythe-elements'),         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Button text", 'wythe-elements'),
					"param_name" => "button_text",
					"value" => 'Get started',
					'admin_label' => true,         
				),
				array(
					"type" => "vc_link",            
					"heading" => __("Button link options", 'wythe-elements'),
					"param_name" => "url",          
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Team member", 'wythe-elements'),
			"base" => "asw_member",
			"icon" => 'asw-element-icon dashicons dashicons-businessman',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display your team member information.', 'wythe-elements'),
			"params" => array(
				array(
		            'type' => 'attach_image',
		            'heading' => __( 'Member photo', 'wythe-elements' ),
		            'param_name' => 'image',
		            'description' => __( 'Select image from media library.', 'wythe-elements' )
		        ),		
				array(
					"type" => "textfield",            
					"heading" => __("Name", 'wythe-elements'),
					"param_name" => "name",
					"value" => 'Enter name',
					'admin_label' => true,         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Position/post", 'wythe-elements'),
					"param_name" => "position",
					"value" => 'Enter position',
					'admin_label' => true,         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Twitter link", 'wythe-elements'),
					"param_name" => "twitter_link",
					"value" => ''         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Dribbble link", 'wythe-elements'),
					"param_name" => "dribbble_link",
					"value" => ''         
				),
				array(
					"type" => "textfield",            
					"heading" => __("Instagram link", 'wythe-elements'),
					"param_name" => "instagram_link",
					"value" => ''         
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Socials", 'wythe-elements'),
			"base" => "asw_socials",
			"icon" => 'asw-element-icon dashicons dashicons-networking',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show social icons: facebook, twitter, behance, etc.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Facebook", 'wythe-elements'),
					"param_name" => "facebook",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Twitter", 'wythe-elements'),
					"param_name" => "twitter",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Instagram", 'wythe-elements'),
					"param_name" => "instagram",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Behance", 'wythe-elements'),
					"param_name" => "behance",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Linkedin", 'wythe-elements'),
					"param_name" => "linkedin",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),
				array(
					"type" => "textfield",            
					"heading" => __("Vimeo", 'wythe-elements'),
					"param_name" => "vimeo",
					"value" => '',
					"description" => __("Enter link to your account (profile).", 'wythe-elements')            
				),	
			)
		)
	);
	$cf7 = array();
	if(class_exists('WPCF7')){
		$args = array('post_type' => 'wpcf7_contact_form', 'posts_per_page' => -1);
		
		if( $data = get_posts($args)){
		    foreach($data as $key){
		        $cf7[$key->post_title] = $key->ID;
		    }
		}else{
		    $cf7[0] = esc_html__('No Contact Form found', 'wythe-elements');
		}
		wp_reset_postdata();
	}
	vc_map( 
		array(
			"name" => __("Contact block", 'wythe-elements'),
			"base" => "asw_contact",
			"icon" => 'asw-element-icon dashicons dashicons-location',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Show contact block.', 'wythe-elements'),
			"params" => array(		
				array(
					"type" => "textfield",            
					"heading" => __("Map Address", 'wythe-elements'),
					"param_name" => "address",
					"value" => 'West Village, NY, USA',
					'admin_label' => true,
					"description" => __("Enter your google map address.", 'wythe-elements')            
				),
				array(
		            'type' => 'attach_image',
		            'heading' => __( 'Map Marker', 'wythe-elements' ),
		            'param_name' => 'image',
		            'description' => __( 'Select image from media library.', 'wythe-elements' )
		        ),
				array(
					"type" => "dropdown",            
					"heading" => __("Contact form 7", 'wythe-elements'),
					"param_name" => "contact_form",
					"value" => $cf7,
				)
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Dropcap intro", 'wythe-elements'),
			"base" => "asw_dropcap",
			"icon" => 'asw-element-icon fa fa-font',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display dropcap intro block on your portfolio single page.', 'wythe-elements'),
			"params" => array(	
				array(
					"type" => "textfield",            
					"heading" => __("Dropcap letter", 'wythe-elements'),
					"param_name" => "letter",
					"value" => 'H',
					'admin_label' => true,         
				),	
				array(
					"type" => "textarea",            
					"heading" => __("Intro Text", 'wythe-elements'),
					"param_name" => "text",
					"value" => 'Enter your text',         
				),
				array(
					"type" => "colorpicker",            
					"heading" => __("Dropcap color", 'wythe-elements'),
					"param_name" => "color",
					"value" => '#8db7c5',         
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Fonts preview", 'wythe-elements'),
			"base" => "asw_fonts",
			"icon" => 'asw-element-icon dashicons dashicons-art',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display preview fonts block on your portfolio single page.', 'wythe-elements'),
			"params" => array(	
				array(
					"type" => "google_fonts",            
					"heading" => __("Font preview settings", 'wythe-elements'),
					"param_name" => "font_family",
					'settings' => array(
						'fields'=>array(
							'font_family'=>'Playfair Display',
						)
					),
				),
				array(
					"type" => "textfield",            
					"heading" => __("Example string", 'wythe-elements'),
					"param_name" => "text_example",
					"value" => '',
					'admin_label' => true,         
				),
				array(
					"type" => "colorpicker",            
					"heading" => __("Big letter color", 'wythe-elements'),
					"param_name" => "big_letter_color",
					"value" => '#7ca8b6',         
				),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Images Carousel", 'wythe-elements'),
			"base" => "asw_images_carousel",
			"icon" => 'asw-element-icon dashicons dashicons-slides',
			'front_enqueue_js' => array(WYTHE_PLUGIN_URL.'js/owl.carousel.min.js'),
			'front_enqueue_css' => array(WYTHE_PLUGIN_URL.'css/owl.carousel.min.css'),
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display images carousel on your page', 'wythe-elements'),
			"params" => array(	
				array(
		            'type' => 'attach_images',
		            'heading' => __( 'Carousel images', 'wythe-elements' ),
		            'param_name' => 'images',
		            'description' => __( 'Select image from media library.', 'wythe-elements' ),
		            'admin_label' => true,
		        ),
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Palette block", 'wythe-elements'),
			"base" => "asw_palette",
			"icon" => 'asw-element-icon dashicons dashicons-admin-customizer',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display palette with colors', 'wythe-elements'),
			"params" => array(	
		        array(
	                'type' => 'param_group',
	                'value' => '',
	                "name" => __("Setup your Palettes", 'wythe-elements'),
	                'param_name' => 'palettes',
	                // Note params is mapped inside param-group:
	                'params' => array(
	                    array(
				            'type' => 'colorpicker',
				            'heading' => __( 'Palette color', 'wythe-elements' ),
				            'param_name' => 'color',
				        ),
				        array(
							"type" => "textfield",            
							"heading" => __("Color title", 'wythe-elements'),
							"param_name" => "color_title",        
						),
	                )
	            )
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Project info", 'wythe-elements'),
			"base" => "asw_project_info",
			"icon" => 'asw-element-icon dashicons dashicons-editor-ul',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display information about project (portfolio item)', 'wythe-elements'),
			"params" => array(
				array(
					"type" => "dropdown",            
					"heading" => __("List layout", 'wythe-elements'),
					"param_name" => "list_layout",
					"value" => array(
						__( 'Items inline', 'wythe-elements' ) => 'items-inline',
						__( 'Items block', 'wythe-elements' ) => 'items-block'
					),
					'std' => array('items-block'),
				),
				array(
					"type" => "textfield",            
					"heading" => __("List title", 'wythe-elements'),
					"param_name" => "list_title",
					'value' => '' ,       
				),
				array(
					"type" => "dropdown",            
					"heading" => __("List align", 'wythe-elements'),
					"param_name" => "align",
					"value" => array(
						__( 'Left', 'wythe-elements' ) => 'left',
						__( 'Center', 'wythe-elements' ) => 'center',
						__( 'Right', 'wythe-elements' ) => 'right'
					),
					'std' => array('left')
				),
				array(
		            'type' => 'colorpicker',
		            'heading' => __( 'Item color', 'wythe-elements' ),
		            'param_name' => 'item_color',
		            'value' => ''
		        ),
		        array(
		            'type' => 'colorpicker',
		            'heading' => __( 'Value color', 'wythe-elements' ),
		            'param_name' => 'value_color',
		            'value' => ''
		        ),	
		        array(
	                'type' => 'param_group',
	                'value' => '',
	                "name" => __("Setup your project list.", 'wythe-elements'),
	                'param_name' => 'project_list',
	                // Note params is mapped inside param-group:
	                'params' => array(
	                	array(
							"type" => "iconpicker",            
							"heading" => __("Icon", 'wythe-elements'),
							"param_name" => "icon",
							"value" => '', 
							"settings" => array(
								'emptyIcon' => true,
							),        
						),
				        array(
							"type" => "textfield",            
							"heading" => __("Item", 'wythe-elements'),
							"param_name" => "item",        
						),
						array(
							"type" => "textfield",            
							"heading" => __("Value", 'wythe-elements'),
							"param_name" => "value",        
						),
	                )
	            )
			)
		)
	);
	vc_map( 
		array(
			"name" => __("Video", 'wythe-elements'),
			"base" => "asw_video",
			"icon" => 'asw-element-icon dashicons dashicons-video-alt3',
			"category" => __('Wythe Elements', 'wythe-elements'),
			'description' => __('Display video block', 'wythe-elements'),
			"params" => array(
				array(
		            'type' => 'attach_image',
		            'heading' => __( 'Placeholder image', 'wythe-elements' ),
		            'param_name' => 'placeholder',
		            'description' => __( 'Select placeholder image from media library.', 'wythe-elements' ),
		            'admin_label' => true,
		        ),	
		        array(
		            'type' => 'textfield',
		            'heading' => __( 'Video height', 'wythe-elements' ),
		            'param_name' => 'height',
		            'description' => __( 'Input your video height in px.', 'wythe-elements' ),
		            'value' => '675px'
		        ),
		        array(
	                'type' => 'param_group',
	                'value' => '',
	                "name" => __("Setup your videos", 'wythe-elements'),
	                'param_name' => 'video_formats',
	                'params' => array(
	                    array(
				            'type' => 'textfield',
				            'heading' => __( 'Link to video file', 'wythe-elements' ),
				            'param_name' => 'url',
				        ),
				        array(
							"type" => "dropdown",            
							"heading" => __("Video format", 'wythe-elements'),
							"param_name" => "format",
							"value" => array(
								__( 'MP4', 'wythe-elements' ) => 'mp4',
								__( 'WebM', 'wythe-elements' ) => 'webm',
								__( 'MOV', 'wythe-elements' ) => 'mov',
								__( 'Ogg', 'wythe-elements' ) => 'ogg'
							),
							'std' => array('mp4')
						),
	                )
	            )
			)
		)
	);
}
?>