<?php
/**
 * Plugin Name: Withe Elements
 * Description: This plugin is required for use with Wythe theme. It gathers all shortcodes and elements from Wythe theme. It gives a possibility to keep this content data even if you switch the theme to another one. This is a part of new Envato requirements for WordPress theme developers.
 * Version: 1.2.7
 * Author: ArtstudioWorks
 * Author URI: http://themeforest.net/user/ArtstudioWorks/portfolio
 * Text Domain: wythe-elements
 * Domain Path: /languages
*/

add_action( 'plugins_loaded', 'wythe_plugin_load_textdomain' );
/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function wythe_plugin_load_textdomain() {
  load_plugin_textdomain( 'wythe-elements', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

$dir = plugin_dir_path( __FILE__ );
define( 'WYTHE_PLUGIN_URL',  plugin_dir_url( __FILE__ ) );

include_once ( trailingslashit( $dir ).'update.php' );
//include custom post types
include_once (trailingslashit( $dir ).'custom-post-types/cpt-portfolio.php' );
include_once (trailingslashit( $dir ).'custom-post-types/cpt-testimonial.php' );
//iclude widgets
include_once ( trailingslashit( $dir ).'inc/widgets/twitter.php' );
/*-Post Like Function-*/
require_once( trailingslashit( $dir ). 'inc/post-like/functions.php' );

include_once ( trailingslashit( $dir ).'elementor-widgets/elementor-helper.php' );

if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once( trailingslashit( $dir ).'inc/vc-shortcodes.php');
	//include shortcodes
	include_once ( trailingslashit( $dir ).'inc/shortcodes.php' );
}

function wythe_shortcodes_scripts() {  
	wp_register_script('owl.carousel', WYTHE_PLUGIN_URL . 'js/owl.carousel.min.js', array('jquery'), '2.0.0', TRUE);
	//wp_register_script('gmaps.api', 'https://maps.googleapis.com/maps/api/js?key=AIzaSyBfbDATAIBSQEUY0YzOEjzcB8A1W2FNKSQ&libraries=places,geometry&callback=initMap&v=3.26', array(), false, true);
}
add_action( 'wp_enqueue_scripts', 'wythe_shortcodes_scripts' );
function wythe_shortcodes_styles() {  
	wp_register_style( 'owl.carousel', WYTHE_PLUGIN_URL . 'css/owl.carousel.css', array(), '2.0.0', 'all' );
}
add_action( 'wp_enqueue_scripts', 'wythe_shortcodes_styles', 5);

if(!function_exists('WytheSharebox')){
	function WytheSharebox($postID, $echo = false){
		if(is_front_page()){
			$permalink = esc_url(home_url());
			$title = esc_attr(get_bloginfo('name'));
			$description = esc_attr(get_bloginfo('description'));
		} else {
			$permalink = esc_url(get_permalink($postID));
			$title = esc_attr(get_the_title($postID));
			$description = esc_attr(get_the_title($postID));
		}

		$out = '<div class="sharebox">';
			$out .= '<div class="social-icons">';
				$out .= '<ul class="unstyled">';
					if( get_theme_mod('asw_sharing_facebook',true) ) $out .= '<li class="social-facebook"><a href="//www.facebook.com/sharer.php?u='.esc_url($permalink).'&amp;t='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share to Facebook', 'wythe-elements').'" target="_blank"><i class="fa fa-facebook"></i></a></li>';
					if( get_theme_mod('asw_sharing_twitter',true) ) $out .= '<li class="social-twitter"><a href="//twitter.com/home?status='.str_replace(' ', '+', $title).'+'.esc_url($permalink).'" title="'.esc_html__( 'Share to Twitter', 'wythe-elements').'" target="_blank"><i class="fa fa-twitter"></i></a></li>';	
					if( get_theme_mod('asw_sharing_pinterest',true) ) $out .= '<li class="social-pinterest"><a href="//pinterest.com/pin/create/link/?url='.esc_url($permalink).'&amp;media='.wp_get_attachment_url( get_post_thumbnail_id($postID) ).'&amp;description='.str_replace(" ", "+", $description).'" title="'.esc_html__( 'Share to Pinterest', 'wythe-elements').'" target="_blank"><i class="fa fa-pinterest-p"></i></a></li>';
					if( get_theme_mod('asw_sharing_linkedin',false) ) $out .= '<li class="social-linkedin"><a href="http://linkedin.com/shareArticle?mini=true&amp;url='.esc_url($permalink).'&amp;title='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share to LinkedIn', 'wythe').'" target="_blank"><i class="fa fa-linkedin"></i></a></li>';
					if( get_theme_mod('asw_sharing_googleplus',false) ) $out .= '<li class="social-googleplus"><a href="http://plus.google.com/share?url='.esc_url($permalink).'&amp;title='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share To Google+', 'wythe').'" target="_blank"><i class="fa fa-google-plus"></i></a></li>';
					if( get_theme_mod('asw_sharing_email',false) ) $out .= '<li class="social-email"><a href="mailto:?subject='.str_replace(' ', '+', $title).'&amp;body='.esc_url($permalink).'" title="'.esc_html__( 'Share with E-Mail', 'wythe').'" target="_blank"><i class="fa fa-envelope"></i></a></li>';
				$out .= '</ul>';
			$out .= '</div>';
		$out .= '</div>';
		if($echo){
			echo $out;
		} else {
			return $out;
		}
	}
}
function wythe_get_the_content() {
	$content = get_the_content();
	$content = apply_filters('the_content', $content);
	$content = str_replace(']]>', ']]&gt;', $content);
	return $content;
}
if(!function_exists('WytheCommentsNumber')){
	function WytheCommentsNumber($postID, $echo = false){
		$num_comments = get_comments_number($postID);
		if ( comments_open() ) {
			if ( $num_comments == 0 ) {
				$comments = __('No Comments', 'wythe-elements');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments .' '. __('Comments', 'wythe-elements');
			} else {
				$comments = __('1 Comment', 'wythe-elements');
			}
			$write_comments = '<a href="' . get_comments_link($postID) .'">'. $comments.'</a>';
		} else {
			$write_comments =  __('Comments disabled.', 'wythe-elements');
		}
		if($echo){
			echo $write_comments;
		} else {
			return $write_comments;
		}
	}
}
if(!function_exists('WytheExcerpt')){
	function WytheExcerpt($limit) {
		$excerpt = explode(' ', get_the_excerpt(), $limit);
		if (count($excerpt)>=$limit) {
			array_pop($excerpt);
			$excerpt = implode(" ",$excerpt).'...';
		} else {
			$excerpt = implode(" ",$excerpt);
		} 
		$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
		return $excerpt;
	}
}

if(!function_exists('wythe_custom_pagination')){
  function wythe_custom_pagination($pages = '', $range = 4) {
    $showitems = ($range * 2)+1;
    $out ='';
    global $paged;
    if(empty($paged)) $paged = 1;
    
    if($pages == '') {
      global $wp_query;
      $pages = $wp_query->max_num_pages;
      if(!$pages) {
        $pages = 1;
      }
    }
    
    if(1 != $pages) {
      if($paged > 1) $out .= get_previous_posts_link();
      for ($i=1; $i <= $pages; $i++) {
        if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems )) {
          $out .= ($paged == $i)? "<span class=\"current\">".$i."</span>":"<a href='".get_pagenum_link($i)."' class=\"inactive\">".$i."</a>";
        }
      }
      if ($paged < $pages) $out .= get_next_posts_link();
    }
    return $out;
  }
}
if(!function_exists('wythe_sharebox')){
	function wythe_sharebox() {
		if(is_front_page()){
			$permalink = esc_url(home_url('/'));
			$title = esc_attr(get_bloginfo('name'));
			$description = esc_attr(get_bloginfo('description'));
		} else {
			$permalink = esc_url(get_permalink());
			$title = esc_attr(get_the_title());
			$description = esc_attr(get_the_title());
		}
		$out = '';
		$out .= '<div class="sharebox">';
			$out .= '<ul class="sharebox-socials">';
				if( get_theme_mod('asw_sharing_facebook',true) ){
					$out .= '<li class="facebook"><a href="//www.facebook.com/sharer.php?u='.esc_url($permalink).'&amp;t='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share To Facebook', 'wythe').'" target="_blank"><i class="fa fa-facebook"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_twitter',true) ){
					$out .= '<li class="twitter"><a href="//twitter.com/home?status='.str_replace(' ', '+', $title).'+'.esc_url($permalink).'" title="'.esc_html__( 'Share To Twitter', 'wythe').'" target="_blank"><i class="fa fa-twitter"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_pinterest',true) ){	
					$out .= '<li class="pinterest"><a href="//pinterest.com/pin/create/link/?url='.esc_url($permalink).'&amp;media='.wp_get_attachment_url( get_post_thumbnail_id() ).'&amp;description='.str_replace(" ", "+", $description).'" title="'.esc_html__( 'Share To Pinterest', 'wythe').'" target="_blank"><i class="fa fa-pinterest"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_linkedin',false) ){	
					$out .= '<li class="linkedin"><a href="http://linkedin.com/shareArticle?mini=true&amp;url='.esc_url($permalink).'&amp;title='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share To LinkedIn', 'wythe').'" target="_blank"><i class="fa fa-linkedin"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_googleplus',false) ){	
					$out .= '<li class="googleplus"><a href="http://plus.google.com/share?url='.esc_url($permalink).'&amp;title='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share To Google+', 'wythe').'" target="_blank"><i class="fa fa-google-plus"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_stumbleupon',false) ){	
					$out .= '<li class="stumbleupon"><a href="http://www.stumbleupon.com/submit?url='.esc_url($permalink).'&amp;title='.str_replace(' ', '+', $title).'" title="'.esc_html__( 'Share To StumbleUpon', 'wythe').'" target="_blank"><i class="fa fa-stumbleupon"></i></a></li>';
				}
				if( get_theme_mod('asw_sharing_email',false) ){	
					$out .= '<li class="social-email"><a href="mailto:?subject='.str_replace(' ', '+', $title).'&amp;body='.esc_url($permalink).'" title="'.esc_html__( 'Share with E-Mail', 'wythe').'" target="_blank"><i class="fa fa-envelope"></i></a></li>';
				}
			$out .= '</ul>';
		$out .= '</div>';
		echo $out;
	}
}
?>